Attribute VB_Name = "drugtrade"

Option Explicit

Private Declare Function CloseHandle Lib "kernel32" (ByVal hObject As Long) As Long
Public Declare Sub CopyMemory Lib "kernel32" Alias "RtlMoveMemory" (destination As Any, Source As Any, ByVal Length As Long)
Public Declare Function FindWindow Lib "user32" Alias "FindWindowA" (ByVal lpClassName As String, ByVal lpWindowName As String) As Long
Public Declare Function FindWindowEx Lib "user32" Alias "FindWindowExA" (ByVal hWnd1 As Long, ByVal hWnd2 As Long, ByVal lpsz1 As String, ByVal lpsz2 As String) As Long
Public Declare Function GetCursorPos Lib "user32" (lpPoint As POINTAPI) As Long
Public Declare Function GetMenu Lib "user32" (ByVal hwnd As Long) As Long
Public Declare Function GetMenuItemCount Lib "user32" (ByVal hMenu As Long) As Long
Public Declare Function GetMenuItemID Lib "user32" (ByVal hMenu As Long, ByVal nPos As Long) As Long
Public Declare Function GetMenuString Lib "user32" Alias "GetMenuStringA" (ByVal hMenu As Long, ByVal wIDItem As Long, ByVal lpString As String, ByVal nMaxCount As Long, ByVal wFlag As Long) As Long
Public Declare Function GetPrivateProfileString Lib "kernel32" Alias "GetPrivateProfileStringA" (ByVal lpApplicationName As String, ByVal lpKeyName As Any, ByVal lpDefault As String, ByVal lpReturnedString As String, ByVal nSize As Long, ByVal lpFileName As String) As Long
Public Declare Function GetSubMenu Lib "user32" (ByVal hMenu As Long, ByVal nPos As Long) As Long
Public Declare Function GetWindowText Lib "user32" Alias "GetWindowTextA" (ByVal hwnd As Long, ByVal lpString As String, ByVal cch As Long) As Long
Public Declare Function GetWindowTextLength Lib "user32" Alias "GetWindowTextLengthA" (ByVal hwnd As Long) As Long
Public Declare Function GetWindowThreadProcessId Lib "user32" (ByVal hwnd As Long, lpdwProcessId As Long) As Long
Public Declare Function IsWindowVisible Lib "user32" (ByVal hwnd As Long) As Long
Public Declare Function OpenProcess Lib "kernel32" (ByVal dwDesiredAccess As Long, ByVal bInheritHandle As Long, ByVal dwProcessId As Long) As Long
Public Declare Function mciSendString Lib "winmm.dll" Alias "mciSendStringA" (ByVal lpstrCommand As String, ByVal lpstrReturnString As String, ByVal uReturnLength As Long, ByVal hwndCallback As Long) As Long
Public Declare Function PostMessage Lib "user32" Alias "PostMessageA" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, ByVal lParam As Long) As Long
Public Declare Function ReadProcessMemory Lib "kernel32" (ByVal hProcess As Long, ByVal lpBaseAddress As Long, ByVal lpBuffer As String, ByVal nSize As Long, ByRef lpNumberOfBytesWritten As Long) As Long
Public Declare Function SendMessage Lib "user32" Alias "SendMessageA" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, lParam As Any) As Long
Public Declare Function SendMessageLong& Lib "user32" Alias "SendMessageA" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, ByVal lParam As Long)
Public Declare Function SendMessageByString Lib "user32" Alias "SendMessageA" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, ByVal lParam As String) As Long
Public Declare Function SetCursorPos Lib "user32" (ByVal X As Long, ByVal Y As Long) As Long
Public Declare Function SetWindowPos Lib "user32" (ByVal hwnd As Long, ByVal hWndInsertAfter As Long, ByVal X As Long, ByVal Y As Long, ByVal cx As Long, ByVal cy As Long, ByVal wFlags As Long) As Long
Public Declare Function ShowCursor Lib "user32" (ByVal bShow As Long) As Long
Public Declare Function ShowWindow Lib "user32" (ByVal hwnd As Long, ByVal nCmdShow As Long) As Long
Public Declare Function sndPlaySound Lib "winmm.dll" Alias "sndPlaySoundA" (ByVal lpszSoundName As String, ByVal uFlags As Long) As Long
Public Declare Function ReleaseCapture Lib "user32" () As Long
Public Declare Function WritePrivateProfileString Lib "kernel32" Alias "WritePrivateProfileStringA" (ByVal lpApplicationName As String, ByVal lpKeyName As Any, ByVal lpString As Any, ByVal lpFileName As String) As Long

Public Const BM_GETCHECK = &HF0
Public Const BM_SETCHECK = &HF1

Public Const HWND_NOTOPMOST = -2
Public Const HWND_TOPMOST = -1

Public Const LB_GETCOUNT = &H18B
Public Const LB_GETITEMDATA = &H199
Public Const LB_GETTEXT = &H189
Public Const LB_GETTEXTLEN = &H18A
Public Const LB_SETCURSEL = &H186
Public Const LB_SETSEL = &H185

Public Const SND_ASYNC = &H1
Public Const SND_NODEFAULT = &H2
Public Const SND_FLAG = SND_ASYNC Or SND_NODEFAULT

Public Const SW_HIDE = 0
Public Const SW_SHOW = 5

Public Const SWP_NOMOVE = &H2
Public Const SWP_NOSIZE = &H1

Public Const VK_DOWN = &H28
Public Const VK_LEFT = &H25
Public Const VK_MENU = &H12
Public Const VK_RETURN = &HD
Public Const VK_RIGHT = &H27
Public Const VK_SHIFT = &H10
Public Const VK_SPACE = &H20
Public Const VK_UP = &H26

Public Const WM_CHAR = &H102
Public Const WM_CLOSE = &H10
Public Const WM_COMMAND = &H111
Public Const WM_GETTEXT = &HD
Public Const WM_GETTEXTLENGTH = &HE
Public Const WM_KEYDOWN = &H100
Public Const WM_KEYUP = &H101
Public Const WM_LBUTTONDBLCLK = &H203
Public Const WM_LBUTTONDOWN = &H201
Public Const WM_LBUTTONUP = &H202
Public Const WM_MOVE = &HF012
Public Const WM_SETTEXT = &HC
Public Const WM_SYSCOMMAND = &H112

Public Const PROCESS_READ = &H10
Public Const RIGHTS_REQUIRED = &HF0000

Public Const ENTER_KEY = 13
Public Const FLAGS = SWP_NOMOVE Or SWP_NOSIZE

Public Type POINTAPI
        X As Long
        Y As Long
End Type

Public Function FindForwardWindow() As Long
    Dim AOL As Long, MDI As Long, child As Long
    Dim Rich1 As Long, Rich2 As Long, Combo As Long
    Dim FontCombo As Long
    AOL& = FindWindow("AOL Frame25", vbNullString)
    MDI& = FindWindowEx(AOL&, 0&, "MDIClient", vbNullString)
    child& = FindWindowEx(MDI&, 0&, "AOL Child", vbNullString)
    Rich1& = FindWindowEx(child&, 0&, "RICHCNTL", vbNullString)
    Rich2& = FindWindowEx(child&, Rich1&, "RICHCNTL", vbNullString)
    Combo& = FindWindowEx(child&, 0&, "_AOL_Combobox", vbNullString)
    FontCombo& = FindWindowEx(child&, 0&, "_AOL_FontCombo", vbNullString)
    If Rich1& <> 0& And Rich2& = 0& And Combo& = 0& And FontCombo& = 0& Then
        FindForwardWindow& = child&
        Exit Function
    Else
        Do
            child& = FindWindowEx(MDI&, child&, "AOL Child", vbNullString)
            Rich1& = FindWindowEx(child&, 0&, "RICHCNTL", vbNullString)
            Rich2& = FindWindowEx(child&, Rich1&, "RICHCNTL", vbNullString)
            Combo& = FindWindowEx(child&, 0&, "_AOL_Combobox", vbNullString)
            FontCombo& = FindWindowEx(child&, 0&, "_AOL_FontCombo", vbNullString)
            If Rich1& <> 0& And Rich2& = 0& And Combo& = 0& And FontCombo& = 0& Then
                FindForwardWindow& = child&
                Exit Function
            End If
        Loop Until child& = 0&
    End If
    FindForwardWindow& = 0&
End Function

Public Function FindSendWindow() As Long
    Dim AOL As Long, MDI As Long, child As Long
    Dim SendStatic As Long
    AOL& = FindWindow("AOL Frame25", vbNullString)
    MDI& = FindWindowEx(AOL&, 0&, "MDIClient", vbNullString)
    child& = FindWindowEx(MDI&, 0&, "AOL Child", vbNullString)
    SendStatic& = FindWindowEx(child&, 0&, "_AOL_Static", "Send Now")
    If SendStatic& <> 0& Then
        FindSendWindow& = child&
        Exit Function
    Else
        Do
            child& = FindWindowEx(MDI&, child&, "AOL Child", vbNullString)
            SendStatic& = FindWindowEx(child&, 0&, "_AOL_Static", "Send Now")
            If SendStatic& <> 0& Then
                FindSendWindow& = child&
                Exit Function
            End If
        Loop Until child& = 0&
    End If
    FindSendWindow& = 0&
End Function

Public Sub MailOpenFlash()
    Dim AOL As Long, tool As Long, Toolbar As Long
    Dim ToolIcon As Long, DoThis As Long, sMod As Long
    Dim CurPos As POINTAPI, WinVis As Long
    AOL& = FindWindow("AOL Frame25", vbNullString)
    tool& = FindWindowEx(AOL&, 0&, "AOL Toolbar", vbNullString)
    Toolbar& = FindWindowEx(tool&, 0&, "_AOL_Toolbar", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, 0&, "_AOL_Icon", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, ToolIcon&, "_AOL_Icon", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, ToolIcon&, "_AOL_Icon", vbNullString)
    Call GetCursorPos(CurPos)
    Call SetCursorPos(Screen.Width, Screen.Height)
    Call PostMessage(ToolIcon&, WM_LBUTTONDOWN, 0&, 0&)
    Call PostMessage(ToolIcon&, WM_LBUTTONUP, 0&, 0&)
    Do
        sMod& = FindWindow("#32768", vbNullString)
        WinVis& = IsWindowVisible(sMod&)
    Loop Until WinVis& = 1
    Call PostMessage(sMod&, WM_KEYDOWN, VK_UP, 0&)
    Call PostMessage(sMod&, WM_KEYUP, VK_UP, 0&)
    Call PostMessage(sMod&, WM_KEYDOWN, VK_RIGHT, 0&)
    Call PostMessage(sMod&, WM_KEYUP, VK_RIGHT, 0&)
    Call PostMessage(sMod&, WM_KEYDOWN, VK_RETURN, 0&)
    Call PostMessage(sMod&, WM_KEYUP, VK_RETURN, 0&)
    Call SetCursorPos(CurPos.X, CurPos.Y)
End Sub

Public Sub MailOpenNew()
    Dim AOL As Long, tool As Long, Toolbar As Long
    Dim ToolIcon As Long, sMod As Long, CurPos As POINTAPI
    Dim WinVis As Long
    AOL& = FindWindow("AOL Frame25", vbNullString)
    tool& = FindWindowEx(AOL&, 0&, "AOL Toolbar", vbNullString)
    Toolbar& = FindWindowEx(tool&, 0&, "_AOL_Toolbar", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, 0&, "_AOL_Icon", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, ToolIcon&, "_AOL_Icon", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, ToolIcon&, "_AOL_Icon", vbNullString)
    Call GetCursorPos(CurPos)
    Call SetCursorPos(Screen.Width, Screen.Height)
    Call PostMessage(ToolIcon&, WM_LBUTTONDOWN, 0&, 0&)
    Call PostMessage(ToolIcon&, WM_LBUTTONUP, 0&, 0&)
    Do
        sMod& = FindWindow("#32768", vbNullString)
        WinVis& = IsWindowVisible(sMod&)
    Loop Until WinVis& = 1
    Call PostMessage(sMod&, WM_KEYDOWN, VK_DOWN, 0&)
    Call PostMessage(sMod&, WM_KEYUP, VK_DOWN, 0&)
    Call PostMessage(sMod&, WM_KEYDOWN, VK_DOWN, 0&)
    Call PostMessage(sMod&, WM_KEYUP, VK_DOWN, 0&)
    Call PostMessage(sMod&, WM_KEYDOWN, VK_RETURN, 0&)
    Call PostMessage(sMod&, WM_KEYUP, VK_RETURN, 0&)
    Call SetCursorPos(CurPos.X, CurPos.Y)
End Sub

Public Sub MailOpenOld()
    Dim AOL As Long, tool As Long, Toolbar As Long
    Dim ToolIcon As Long, DoThis As Long, sMod As Long
    Dim CurPos As POINTAPI, WinVis As Long
    AOL& = FindWindow("AOL Frame25", vbNullString)
    tool& = FindWindowEx(AOL&, 0&, "AOL Toolbar", vbNullString)
    Toolbar& = FindWindowEx(tool&, 0&, "_AOL_Toolbar", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, 0&, "_AOL_Icon", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, ToolIcon&, "_AOL_Icon", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, ToolIcon&, "_AOL_Icon", vbNullString)
    Call GetCursorPos(CurPos)
    Call SetCursorPos(Screen.Width, Screen.Height)
    Call PostMessage(ToolIcon&, WM_LBUTTONDOWN, 0&, 0&)
    Call PostMessage(ToolIcon&, WM_LBUTTONUP, 0&, 0&)
    Do
        sMod& = FindWindow("#32768", vbNullString)
        WinVis& = IsWindowVisible(sMod&)
    Loop Until WinVis& = 1
    For DoThis& = 1 To 4
        Call PostMessage(sMod&, WM_KEYDOWN, VK_DOWN, 0&)
        Call PostMessage(sMod&, WM_KEYUP, VK_DOWN, 0&)
    Next DoThis&
    Call PostMessage(sMod&, WM_KEYDOWN, VK_RETURN, 0&)
    Call PostMessage(sMod&, WM_KEYUP, VK_RETURN, 0&)
    Call SetCursorPos(CurPos.X, CurPos.Y)
End Sub

Public Sub MailOpenSent()
    Dim AOL As Long, tool As Long, Toolbar As Long
    Dim ToolIcon As Long, DoThis As Long, sMod As Long
    Dim CurPos As POINTAPI, WinVis As Long
    AOL& = FindWindow("AOL Frame25", vbNullString)
    tool& = FindWindowEx(AOL&, 0&, "AOL Toolbar", vbNullString)
    Toolbar& = FindWindowEx(tool&, 0&, "_AOL_Toolbar", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, 0&, "_AOL_Icon", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, ToolIcon&, "_AOL_Icon", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, ToolIcon&, "_AOL_Icon", vbNullString)
    Call GetCursorPos(CurPos)
    Call SetCursorPos(Screen.Width, Screen.Height)
    Call PostMessage(ToolIcon&, WM_LBUTTONDOWN, 0&, 0&)
    Call PostMessage(ToolIcon&, WM_LBUTTONUP, 0&, 0&)
    Do
        sMod& = FindWindow("#32768", vbNullString)
        WinVis& = IsWindowVisible(sMod&)
    Loop Until WinVis& = 1
    For DoThis& = 1 To 5
        Call PostMessage(sMod&, WM_KEYDOWN, VK_DOWN, 0&)
        Call PostMessage(sMod&, WM_KEYUP, VK_DOWN, 0&)
    Next DoThis&
    Call PostMessage(sMod&, WM_KEYDOWN, VK_RETURN, 0&)
    Call PostMessage(sMod&, WM_KEYUP, VK_RETURN, 0&)
    Call SetCursorPos(CurPos.X, CurPos.Y)
End Sub

Public Sub MailOpenEmailFlash(index As Long)
    Dim AOL As Long, MDI As Long, fMail As Long, fList As Long
    Dim fCount As Long
    AOL& = FindWindow("AOL Frame25", vbNullString)
    MDI& = FindWindowEx(AOL&, 0&, "MDICLIENT", vbNullString)
    fMail& = FindWindowEx(MDI&, 0&, "AOL Child", "Incoming/Saved Mail")
    fList& = FindWindowEx(fMail&, 0&, "_AOL_Tree", vbNullString)
    fCount& = SendMessage(fList&, LB_GETCOUNT, 0&, 0&)
    If fCount& < index& Then Exit Sub
    Call SendMessage(fList&, LB_SETCURSEL, index&, 0&)
    Call PostMessage(fList&, WM_KEYDOWN, VK_RETURN, 0&)
    Call PostMessage(fList&, WM_KEYUP, VK_RETURN, 0&)
End Sub

Public Sub MailOpenEmailNew(index As Long)
    Dim MailBox As Long, TabControl As Long, TabPage As Long
    Dim mTree As Long, Count As Long
    MailBox& = FindMailBox&
    If MailBox& = 0& Then Exit Sub
    TabControl& = FindWindowEx(MailBox&, 0&, "_AOL_TabControl", vbNullString)
    TabPage& = FindWindowEx(TabControl&, 0&, "_AOL_TabPage", vbNullString)
    mTree& = FindWindowEx(TabPage&, 0&, "_AOL_Tree", vbNullString)
    Count& = SendMessage(mTree&, LB_GETCOUNT, 0&, 0&)
    If Count& < index& Then Exit Sub
    Call SendMessage(mTree&, LB_SETCURSEL, index&, 0&)
    Call PostMessage(mTree&, WM_KEYDOWN, VK_RETURN, 0&)
    Call PostMessage(mTree&, WM_KEYUP, VK_RETURN, 0&)
End Sub

Public Sub MailOpenEmailOld(index As Long)
    Dim MailBox As Long, TabControl As Long, TabPage As Long
    Dim mTree As Long, Count As Long
    MailBox& = FindMailBox&
    If MailBox& = 0& Then Exit Sub
    TabControl& = FindWindowEx(MailBox&, 0&, "_AOL_TabControl", vbNullString)
    TabPage& = FindWindowEx(TabControl&, 0&, "_AOL_TabPage", vbNullString)
    TabPage& = FindWindowEx(TabControl&, TabPage&, "_AOL_TabPage", vbNullString)
    mTree& = FindWindowEx(TabPage&, 0&, "_AOL_Tree", vbNullString)
    Count& = SendMessage(mTree&, LB_GETCOUNT, 0&, 0&)
    If Count& < index& Then Exit Sub
    Call SendMessage(mTree&, LB_SETCURSEL, index&, 0&)
    Call PostMessage(mTree&, WM_KEYDOWN, VK_RETURN, 0&)
    Call PostMessage(mTree&, WM_KEYUP, VK_RETURN, 0&)
End Sub

Public Sub MailOpenEmailSent(index As Long)
    Dim MailBox As Long, TabControl As Long, TabPage As Long
    Dim mTree As Long, Count As Long
    MailBox& = FindMailBox&
    If MailBox& = 0& Then Exit Sub
    TabControl& = FindWindowEx(MailBox&, 0&, "_AOL_TabControl", vbNullString)
    TabPage& = FindWindowEx(TabControl&, 0&, "_AOL_TabPage", vbNullString)
    TabPage& = FindWindowEx(TabControl&, TabPage&, "_AOL_TabPage", vbNullString)
    TabPage& = FindWindowEx(TabControl&, TabPage&, "_AOL_TabPage", vbNullString)
    mTree& = FindWindowEx(TabPage&, 0&, "_AOL_Tree", vbNullString)
    Count& = SendMessage(mTree&, LB_GETCOUNT, 0&, 0&)
    If Count& < index& Then Exit Sub
    Call SendMessage(mTree&, LB_SETCURSEL, index&, 0&)
    Call PostMessage(mTree&, WM_KEYDOWN, VK_RETURN, 0&)
    Call PostMessage(mTree&, WM_KEYUP, VK_RETURN, 0&)
End Sub

Public Function MailCountFlash() As Long
    Dim AOL As Long, MDI As Long, fMail As Long, fList As Long
    Dim Count As Long
    AOL& = FindWindow("AOL Frame25", vbNullString)
    MDI& = FindWindowEx(AOL&, 0&, "MDICLIENT", vbNullString)
    fMail& = FindWindowEx(MDI&, 0&, "AOL Child", "Incoming/Saved Mail")
    fList& = FindWindowEx(fMail&, 0&, "_AOL_Tree", vbNullString)
    Count& = SendMessage(fList&, LB_GETCOUNT, 0&, 0&)
    MailCountFlash& = Count&
End Function

Public Sub MailToListFlash(TheList As ListBox)
    Dim AOL As Long, MDI As Long, fMail As Long, fList As Long
    Dim Count As Long, MyString As String, AddMails As Long
    Dim sLength As Long, Spot As Long
    AOL& = FindWindow("AOL Frame25", vbNullString)
    MDI& = FindWindowEx(AOL&, 0&, "MDICLIENT", vbNullString)
    fMail& = FindWindowEx(MDI&, 0&, "AOL Child", "Incoming/Saved Mail")
    If fMail& = 0& Then Exit Sub
    fList& = FindWindowEx(fMail&, 0&, "_AOL_Tree", vbNullString)
    Count& = SendMessage(fList&, LB_GETCOUNT, 0&, 0&)
    MyString$ = String(255, 0)
    For AddMails& = 0 To Count& - 1
        DoEvents
        sLength& = SendMessage(fList&, LB_GETTEXTLEN, AddMails&, 0&)
        MyString$ = String(sLength& + 1, 0)
        Call SendMessageByString(fList&, LB_GETTEXT, AddMails&, MyString$)
        Spot& = InStr(MyString$, Chr(9))
        Spot& = InStr(Spot& + 1, MyString$, Chr(9))
        MyString$ = Right(MyString$, Len(MyString$) - Spot&)
        MyString$ = ReplaceString(MyString$, Chr(0), "")
        TheList.AddItem MyString$
    Next AddMails&
End Sub

Public Function FindMailBox() As Long
    Dim AOL As Long, MDI As Long, child As Long
    Dim TabControl As Long, TabPage As Long
    AOL& = FindWindow("AOL Frame25", vbNullString)
    MDI& = FindWindowEx(AOL&, 0&, "MDIClient", vbNullString)
    child& = FindWindowEx(MDI&, 0&, "AOL Child", vbNullString)
    TabControl& = FindWindowEx(child&, 0&, "_AOL_TabControl", vbNullString)
    TabPage& = FindWindowEx(TabControl&, 0&, "_AOL_TabPage", vbNullString)
    If TabControl& <> 0& And TabPage& <> 0& Then
        FindMailBox& = child&
        Exit Function
    Else
        Do
            child& = FindWindowEx(MDI&, child&, "AOL Child", vbNullString)
            TabControl& = FindWindowEx(child&, 0&, "_AOL_TabControl", vbNullString)
            TabPage& = FindWindowEx(TabControl&, 0&, "_AOL_TabPage", vbNullString)
            If TabControl& <> 0& And TabPage& <> 0& Then
                FindMailBox& = child&
                Exit Function
            End If
        Loop Until child& = 0&
    End If
    FindMailBox& = 0&
End Function

Public Function MailCountNew() As Long
    Dim MailBox As Long, TabControl As Long, TabPage As Long
    Dim mTree As Long, Count As Long
    MailBox& = FindMailBox&
    If MailBox& = 0& Then Exit Function
    TabControl& = FindWindowEx(MailBox&, 0&, "_AOL_TabControl", vbNullString)
    TabPage& = FindWindowEx(TabControl&, 0&, "_AOL_TabPage", vbNullString)
    mTree& = FindWindowEx(TabPage&, 0&, "_AOL_Tree", vbNullString)
    Count& = SendMessage(mTree&, LB_GETCOUNT, 0&, 0&)
    MailCountNew& = Count&
End Function

Public Function MailCountSent() As Long
    Dim MailBox As Long, TabControl As Long, TabPage As Long
    Dim mTree As Long, Count As Long
    MailBox& = FindMailBox&
    If MailBox& = 0& Then Exit Function
    TabControl& = FindWindowEx(MailBox&, 0&, "_AOL_TabControl", vbNullString)
    TabPage& = FindWindowEx(TabControl&, 0&, "_AOL_TabPage", vbNullString)
    TabPage& = FindWindowEx(TabControl&, TabPage&, "_AOL_TabPage", vbNullString)
    TabPage& = FindWindowEx(TabControl&, TabPage&, "_AOL_TabPage", vbNullString)
    mTree& = FindWindowEx(TabPage&, 0&, "_AOL_Tree", vbNullString)
    Count& = SendMessage(mTree&, LB_GETCOUNT, 0&, 0&)
    MailCountSent& = Count&
End Function

Public Function MailCountOld() As Long
    Dim MailBox As Long, TabControl As Long, TabPage As Long
    Dim mTree As Long, Count As Long
    MailBox& = FindMailBox&
    If MailBox& = 0& Then Exit Function
    TabControl& = FindWindowEx(MailBox&, 0&, "_AOL_TabControl", vbNullString)
    TabPage& = FindWindowEx(TabControl&, 0&, "_AOL_TabPage", vbNullString)
    TabPage& = FindWindowEx(TabControl&, TabPage&, "_AOL_TabPage", vbNullString)
    mTree& = FindWindowEx(TabPage&, 0&, "_AOL_Tree", vbNullString)
    Count& = SendMessage(mTree&, LB_GETCOUNT, 0&, 0&)
    MailCountOld& = Count&
End Function

Public Sub MailDeleteNewByIndex(index As Long)
    Dim MailBox As Long, TabControl As Long, TabPage As Long
    Dim mTree As Long, Count As Long, dButton As Long
    MailBox& = FindMailBox&
    If MailBox& = 0& Then Exit Sub
    TabControl& = FindWindowEx(MailBox&, 0&, "_AOL_TabControl", vbNullString)
    TabPage& = FindWindowEx(TabControl&, 0&, "_AOL_TabPage", vbNullString)
    mTree& = FindWindowEx(TabPage&, 0&, "_AOL_Tree", vbNullString)
    Count& = SendMessage(mTree&, LB_GETCOUNT, 0&, 0&)
    If index& > Count& - 1 Or index& < 0& Then Exit Sub
    Call SendMessage(mTree&, LB_SETCURSEL, index&, 0&)
    dButton& = FindWindowEx(MailBox&, 0&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    Call SendMessage(dButton&, WM_LBUTTONDOWN, 0&, 0&)
    Call SendMessage(dButton&, WM_LBUTTONUP, 0&, 0&)
End Sub

Public Sub MailDeleteNewDuplicates(VBForm As Form, DisplayStatus As Boolean)
    Dim MailBox As Long, TabControl As Long, TabPage As Long
    Dim mTree As Long, Count As Long, dButton As Long
    Dim SearchBox As Long, cSender As String, cSubject As String
    Dim SearchFor As Long, sSender As String, sSubject As String
    Dim CurCaption As String
    MailBox& = FindMailBox&
    CurCaption$ = VBForm.Caption
    If MailBox& = 0& Then Exit Sub
    TabControl& = FindWindowEx(MailBox&, 0&, "_AOL_TabControl", vbNullString)
    TabPage& = FindWindowEx(TabControl&, 0&, "_AOL_TabPage", vbNullString)
    mTree& = FindWindowEx(TabPage&, 0&, "_AOL_Tree", vbNullString)
    dButton& = FindWindowEx(MailBox&, 0&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    Count& = SendMessage(mTree&, LB_GETCOUNT, 0&, 0&)
    If Count& = 0& Then Exit Sub
    For SearchFor& = 0& To Count& - 2
        DoEvents
        sSender$ = MailSenderNew(SearchFor&)
        sSubject$ = MailSubjectNew(SearchFor&)
        If sSender$ = "" Then
            VBForm.Caption = CurCaption$
            Exit Sub
        End If
        For SearchBox& = SearchFor& + 1 To Count& - 1
            If DisplayStatus = True Then
                VBForm.Caption = "Now checking #" & SearchFor& & " for match with #" & SearchBox&
            End If
            cSender$ = MailSenderNew(SearchBox&)
            cSubject$ = MailSubjectNew(SearchBox&)
            If cSender$ = sSender$ And cSubject$ = sSubject$ Then
                Call SendMessage(mTree&, LB_SETCURSEL, SearchBox&, 0&)
                DoEvents
                Call SendMessage(dButton&, WM_LBUTTONDOWN, 0&, 0&)
                Call SendMessage(dButton&, WM_LBUTTONUP, 0&, 0&)
                DoEvents
                SearchBox& = SearchBox& - 1
            End If
        Next SearchBox&
    Next SearchFor&
    VBForm.Caption = CurCaption$
End Sub

Public Sub MailDeleteNewBySender(Sender As String)
    Dim MailBox As Long, TabControl As Long, TabPage As Long
    Dim mTree As Long, Count As Long, dButton As Long
    Dim SearchBox As Long, cSender As String
    MailBox& = FindMailBox&
    If MailBox& = 0& Then Exit Sub
    TabControl& = FindWindowEx(MailBox&, 0&, "_AOL_TabControl", vbNullString)
    TabPage& = FindWindowEx(TabControl&, 0&, "_AOL_TabPage", vbNullString)
    mTree& = FindWindowEx(TabPage&, 0&, "_AOL_Tree", vbNullString)
    dButton& = FindWindowEx(MailBox&, 0&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    Count& = SendMessage(mTree&, LB_GETCOUNT, 0&, 0&)
    If Count& = 0& Then Exit Sub
    For SearchBox& = 0& To Count& - 1
        cSender$ = MailSenderNew(SearchBox&)
        If LCase(cSender$) = LCase(Sender$) Then
            Call SendMessage(mTree&, LB_SETCURSEL, SearchBox&, 0&)
            DoEvents
            Call SendMessage(dButton&, WM_LBUTTONDOWN, 0&, 0&)
            Call SendMessage(dButton&, WM_LBUTTONUP, 0&, 0&)
            DoEvents
            SearchBox& = SearchBox& - 1
        End If
    Next SearchBox&
End Sub

Public Sub MailDeleteNewNotSender(Sender As String)
    Dim MailBox As Long, TabControl As Long, TabPage As Long
    Dim mTree As Long, Count As Long, dButton As Long
    Dim SearchBox As Long, cSender As String
    MailBox& = FindMailBox&
    If MailBox& = 0& Then Exit Sub
    TabControl& = FindWindowEx(MailBox&, 0&, "_AOL_TabControl", vbNullString)
    TabPage& = FindWindowEx(TabControl&, 0&, "_AOL_TabPage", vbNullString)
    mTree& = FindWindowEx(TabPage&, 0&, "_AOL_Tree", vbNullString)
    dButton& = FindWindowEx(MailBox&, 0&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    dButton& = FindWindowEx(MailBox&, dButton&, "_AOL_Icon", vbNullString)
    Count& = SendMessage(mTree&, LB_GETCOUNT, 0&, 0&)
    If Count& = 0& Then Exit Sub
    For SearchBox& = 0& To Count& - 1
        cSender$ = MailSenderNew(SearchBox&)
        If cSender$ = "" Then Exit Sub
        If LCase(cSender$) <> LCase(Sender$) Then
            Call SendMessage(mTree&, LB_SETCURSEL, SearchBox&, 0&)
            DoEvents
            Call SendMessage(dButton&, WM_LBUTTONDOWN, 0&, 0&)
            Call SendMessage(dButton&, WM_LBUTTONUP, 0&, 0&)
            DoEvents
            SearchBox& = SearchBox& - 1
        End If
    Next SearchBox&
End Sub

Public Function MailSenderFlash(index As Long) As String
    Dim AOL As Long, MDI As Long, fMail As Long, fList As Long
    Dim fCount As Long, DeleteButton As Long, sLength As Long
    Dim MyString As String, Spot1 As Long, Spot2 As Long
    AOL& = FindWindow("AOL Frame25", vbNullString)
    MDI& = FindWindowEx(AOL&, 0&, "MDICLIENT", vbNullString)
    fMail& = FindWindowEx(MDI&, 0&, "AOL Child", "Incoming/Saved Mail")
    fList& = FindWindowEx(fMail&, 0&, "_AOL_Tree", vbNullString)
    fCount& = SendMessage(fList&, LB_GETCOUNT, 0&, 0&)
    If fCount& < index& Then Exit Function
    DeleteButton& = FindWindowEx(fMail&, 0&, "_AOL_Icon", vbNullString)
    DeleteButton& = FindWindowEx(fMail&, DeleteButton&, "_AOL_Icon", vbNullString)
    DeleteButton& = FindWindowEx(fMail&, DeleteButton&, "_AOL_Icon", vbNullString)
    DeleteButton& = FindWindowEx(fMail&, DeleteButton&, "_AOL_Icon", vbNullString)
    If fCount& = 0 Or index& > fCount& - 1 Or index& < 0& Then Exit Function
    sLength& = SendMessage(fList&, LB_GETTEXTLEN, index&, 0&)
    MyString$ = String(sLength& + 1, 0)
    Call SendMessageByString(fList&, LB_GETTEXT, index&, MyString$)
    Spot1& = InStr(MyString$, Chr(9))
    Spot2& = InStr(Spot1& + 1, MyString$, Chr(9))
    MyString$ = Mid(MyString$, Spot1& + 1, Spot2& - Spot1& - 1)
    MailSenderFlash$ = MyString$
End Function

Public Function MailSenderNew(index As Long) As String
    Dim MailBox As Long, TabControl As Long, TabPage As Long
    Dim mTree As Long, AddMails As Long, sLength As Long
    Dim Spot1 As Long, Spot2 As Long, MyString As String
    Dim Count As Long
    MailBox& = FindMailBox&
    If MailBox& = 0& Then Exit Function
    TabControl& = FindWindowEx(MailBox&, 0&, "_AOL_TabControl", vbNullString)
    TabPage& = FindWindowEx(TabControl&, 0&, "_AOL_TabPage", vbNullString)
    mTree& = FindWindowEx(TabPage&, 0&, "_AOL_Tree", vbNullString)
    Count& = SendMessage(mTree&, LB_GETCOUNT, 0&, 0&)
    If Count& = 0 Or index& > Count& - 1 Or index& < 0& Then Exit Function
    sLength& = SendMessage(mTree&, LB_GETTEXTLEN, index&, 0&)
    MyString$ = String(sLength& + 1, 0)
    Call SendMessageByString(mTree&, LB_GETTEXT, index&, MyString$)
    Spot1& = InStr(MyString$, Chr(9))
    Spot2& = InStr(Spot1& + 1, MyString$, Chr(9))
    MyString$ = Mid(MyString$, Spot1& + 1, Spot2& - Spot1& - 1)
    MailSenderNew$ = MyString$
End Function

Public Function MailSubjectFlash(index As Long) As String
    Dim AOL As Long, MDI As Long, fMail As Long, fList As Long
    Dim fCount As Long, DeleteButton As Long, sLength As Long
    Dim MyString As String, Spot As Long
    AOL& = FindWindow("AOL Frame25", vbNullString)
    MDI& = FindWindowEx(AOL&, 0&, "MDICLIENT", vbNullString)
    fMail& = FindWindowEx(MDI&, 0&, "AOL Child", "Incoming/Saved Mail")
    fList& = FindWindowEx(fMail&, 0&, "_AOL_Tree", vbNullString)
    fCount& = SendMessage(fList&, LB_GETCOUNT, 0&, 0&)
    If fCount& < index& Then Exit Function
    DeleteButton& = FindWindowEx(fMail&, 0&, "_AOL_Icon", vbNullString)
    DeleteButton& = FindWindowEx(fMail&, DeleteButton&, "_AOL_Icon", vbNullString)
    DeleteButton& = FindWindowEx(fMail&, DeleteButton&, "_AOL_Icon", vbNullString)
    DeleteButton& = FindWindowEx(fMail&, DeleteButton&, "_AOL_Icon", vbNullString)
    If fCount& = 0 Or index& > fCount& - 1 Or index& < 0& Then Exit Function
    sLength& = SendMessage(fList&, LB_GETTEXTLEN, index&, 0&)
    MyString$ = String(sLength& + 1, 0)
    Call SendMessageByString(fList&, LB_GETTEXT, index&, MyString$)
    Spot& = InStr(MyString$, Chr(9))
    Spot& = InStr(Spot& + 1, MyString$, Chr(9))
    MyString$ = Right(MyString$, Len(MyString$) - Spot&)
    MyString$ = ReplaceString(MyString$, Chr(0), "")
    MailSubjectFlash$ = MyString$
End Function

Public Function MailSubjectNew(index As Long) As String
    Dim MailBox As Long, TabControl As Long, TabPage As Long
    Dim mTree As Long, AddMails As Long, sLength As Long
    Dim Spot As Long, MyString As String, Count As Long
    MailBox& = FindMailBox&
    If MailBox& = 0& Then Exit Function
    TabControl& = FindWindowEx(MailBox&, 0&, "_AOL_TabControl", vbNullString)
    TabPage& = FindWindowEx(TabControl&, 0&, "_AOL_TabPage", vbNullString)
    mTree& = FindWindowEx(TabPage&, 0&, "_AOL_Tree", vbNullString)
    Count& = SendMessage(mTree&, LB_GETCOUNT, 0&, 0&)
    If Count& = 0 Or index& > Count& - 1 Or index& < 0& Then Exit Function
    sLength& = SendMessage(mTree&, LB_GETTEXTLEN, index&, 0&)
    MyString$ = String(sLength& + 1, 0)
    Call SendMessageByString(mTree&, LB_GETTEXT, index&, MyString$)
    Spot& = InStr(MyString$, Chr(9))
    Spot& = InStr(Spot& + 1, MyString$, Chr(9))
    MyString$ = Right(MyString$, Len(MyString$) - Spot&)
    MyString$ = ReplaceString(MyString$, Chr(0), "")
    MailSubjectNew$ = MyString$
End Function

Public Sub MailToListNew(TheList As ListBox)
    Dim MailBox As Long, TabControl As Long, TabPage As Long
    Dim mTree As Long, AddMails As Long, sLength As Long
    Dim Spot As Long, MyString As String, Count As Long
    MailBox& = FindMailBox&
    If MailBox& = 0& Then Exit Sub
    TabControl& = FindWindowEx(MailBox&, 0&, "_AOL_TabControl", vbNullString)
    TabPage& = FindWindowEx(TabControl&, 0&, "_AOL_TabPage", vbNullString)
    mTree& = FindWindowEx(TabPage&, 0&, "_AOL_Tree", vbNullString)
    Count& = SendMessage(mTree&, LB_GETCOUNT, 0&, 0&)
    If Count& = 0 Then Exit Sub
    For AddMails& = 0 To Count& - 1
        DoEvents
        sLength& = SendMessage(mTree&, LB_GETTEXTLEN, AddMails&, 0&)
        MyString$ = String(sLength& + 1, 0)
        Call SendMessageByString(mTree&, LB_GETTEXT, AddMails&, MyString$)
        Spot& = InStr(MyString$, Chr(9))
        Spot& = InStr(Spot& + 1, MyString$, Chr(9))
        MyString$ = Right(MyString$, Len(MyString$) - Spot&)
        TheList.AddItem MyString$
    Next AddMails&
End Sub

Public Sub MailToListOld(TheList As ListBox)
    Dim MailBox As Long, TabControl As Long, TabPage As Long
    Dim mTree As Long, AddMails As Long, sLength As Long
    Dim Spot As Long, MyString As String, Count As Long
    MailBox& = FindMailBox&
    If MailBox& = 0& Then Exit Sub
    TabControl& = FindWindowEx(MailBox&, 0&, "_AOL_TabControl", vbNullString)
    TabPage& = FindWindowEx(TabControl&, 0&, "_AOL_TabPage", vbNullString)
    TabPage& = FindWindowEx(TabControl&, TabPage&, "_AOL_TabPage", vbNullString)
    mTree& = FindWindowEx(TabPage&, 0&, "_AOL_Tree", vbNullString)
    Count& = SendMessage(mTree&, LB_GETCOUNT, 0&, 0&)
    If Count& = 0 Then Exit Sub
    For AddMails& = 0 To Count& - 1
        DoEvents
        sLength& = SendMessage(mTree&, LB_GETTEXTLEN, AddMails&, 0&)
        MyString$ = String(sLength& + 1, 0)
        Call SendMessageByString(mTree&, LB_GETTEXT, AddMails&, MyString$)
        Spot& = InStr(MyString$, Chr(9))
        Spot& = InStr(Spot& + 1, MyString$, Chr(9))
        MyString$ = Right(MyString$, Len(MyString$) - Spot&)
        TheList.AddItem MyString$
    Next AddMails&
End Sub

Public Sub MailToListSent(TheList As ListBox)
    Dim MailBox As Long, TabControl As Long, TabPage As Long
    Dim mTree As Long, AddMails As Long, sLength As Long
    Dim Spot As Long, MyString As String, Count As Long
    MailBox& = FindMailBox&
    If MailBox& = 0& Then Exit Sub
    TabControl& = FindWindowEx(MailBox&, 0&, "_AOL_TabControl", vbNullString)
    TabPage& = FindWindowEx(TabControl&, 0&, "_AOL_TabPage", vbNullString)
    TabPage& = FindWindowEx(TabControl&, TabPage&, "_AOL_TabPage", vbNullString)
    TabPage& = FindWindowEx(TabControl&, TabPage&, "_AOL_TabPage", vbNullString)
    mTree& = FindWindowEx(TabPage&, 0&, "_AOL_Tree", vbNullString)
    Count& = SendMessage(mTree&, LB_GETCOUNT, 0&, 0&)
    If Count& = 0 Then Exit Sub
    For AddMails& = 0 To Count& - 1
        DoEvents
        sLength& = SendMessage(mTree&, LB_GETTEXTLEN, AddMails&, 0&)
        MyString$ = String(sLength& + 1, 0)
        Call SendMessageByString(mTree&, LB_GETTEXT, AddMails&, MyString$)
        Spot& = InStr(MyString$, Chr(9))
        Spot& = InStr(Spot& + 1, MyString$, Chr(9))
        MyString$ = Right(MyString$, Len(MyString$) - Spot&)
        TheList.AddItem MyString$
    Next AddMails&
End Sub

Public Sub SendMail(Person As String, subject As String, message As String)
    Dim AOL As Long, MDI As Long, tool As Long, Toolbar As Long
    Dim ToolIcon As Long, OpenSend As Long, DoIt As Long
    Dim Rich As Long, EditTo As Long, EditCC As Long
    Dim EditSubject As Long, SendButton As Long
    Dim Combo As Long, fCombo As Long, ErrorWindow As Long
    Dim Button1 As Long, Button2 As Long
    AOL& = FindWindow("AOL Frame25", vbNullString)
    MDI& = FindWindowEx(AOL&, 0&, "MDICLIENT", vbNullString)
    tool& = FindWindowEx(AOL&, 0&, "AOL Toolbar", vbNullString)
    Toolbar& = FindWindowEx(tool&, 0&, "_AOL_Toolbar", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, 0&, "_AOL_Icon", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, ToolIcon&, "_AOL_Icon", vbNullString)
    Call PostMessage(ToolIcon&, WM_LBUTTONDOWN, 0&, 0&)
    Call PostMessage(ToolIcon&, WM_LBUTTONUP, 0&, 0&)
    DoEvents
    Do
        DoEvents
        OpenSend& = FindWindowEx(MDI&, 0&, "AOL Child", "Write Mail")
        EditTo& = FindWindowEx(OpenSend&, 0&, "_AOL_Edit", vbNullString)
        EditCC& = FindWindowEx(OpenSend&, EditTo&, "_AOL_Edit", vbNullString)
        EditSubject& = FindWindowEx(OpenSend&, EditCC&, "_AOL_Edit", vbNullString)
        Rich& = FindWindowEx(OpenSend&, 0&, "RICHCNTL", vbNullString)
        Combo& = FindWindowEx(OpenSend&, 0&, "_AOL_Combobox", vbNullString)
        fCombo& = FindWindowEx(OpenSend&, 0&, "_AOL_Fontcombo", vbNullString)
        Button1& = FindWindowEx(OpenSend&, 0&, "_AOL_Icon", vbNullString)
        Button2& = FindWindowEx(OpenSend&, Button1&, "_AOL_Icon", vbNullString)
        SendButton& = FindWindowEx(OpenSend&, 0&, "_AOL_Icon", vbNullString)
        For DoIt& = 1 To 13
            SendButton& = FindWindowEx(OpenSend&, SendButton&, "_AOL_Icon", vbNullString)
        Next DoIt&
    Loop Until OpenSend& <> 0& And EditTo& <> 0& And EditCC& <> 0& And EditSubject& <> 0& And Rich& <> 0& And SendButton& <> 0& And Combo& <> 0& And fCombo& <> 0& & SendButton& <> Button1& And SendButton& <> Button2&
    Call SendMessageByString(EditTo&, WM_SETTEXT, 0, Person$)
    DoEvents
    Call SendMessageByString(EditSubject&, WM_SETTEXT, 0, subject$)
    DoEvents
    Call SendMessageByString(Rich&, WM_SETTEXT, 0, message$)
    DoEvents
    Pause 0.2
    Call SendMessage(SendButton&, WM_LBUTTONDOWN, 0&, 0&)
    Call SendMessage(SendButton&, WM_LBUTTONUP, 0&, 0&)
End Sub

Public Sub MailForward(SendTo As String, message As String, DeleteFwd As Boolean)
    Dim AOL As Long, MDI As Long, Error As Long
    Dim OpenForward As Long, OpenSend As Long, SendButton As Long
    Dim DoIt As Long, EditTo As Long, EditCC As Long
    Dim EditSubject As Long, Rich As Long, fCombo As Long
    Dim Combo As Long, Button1 As Long, Button2 As Long
    Dim TempSubject As String
    OpenForward& = FindForwardWindow
    If OpenForward& = 0 Then Exit Sub
    SendButton& = FindWindowEx(OpenForward&, 0&, "_AOL_Icon", vbNullString)
    For DoIt& = 1 To 6
        SendButton& = FindWindowEx(OpenForward&, SendButton&, "_AOL_Icon", vbNullString)
    Next DoIt&
    Call SendMessage(SendButton&, WM_LBUTTONDOWN, 0&, 0&)
    Call SendMessage(SendButton&, WM_LBUTTONUP, 0&, 0&)
    Do
        DoEvents
        OpenSend& = FindSendWindow
        EditTo& = FindWindowEx(OpenSend&, 0&, "_AOL_Edit", vbNullString)
        EditCC& = FindWindowEx(OpenSend&, EditTo&, "_AOL_Edit", vbNullString)
        EditSubject& = FindWindowEx(OpenSend&, EditCC&, "_AOL_Edit", vbNullString)
        Rich& = FindWindowEx(OpenSend&, 0&, "RICHCNTL", vbNullString)
        Combo& = FindWindowEx(OpenSend&, 0&, "_AOL_Combobox", vbNullString)
        fCombo& = FindWindowEx(OpenSend&, 0&, "_AOL_Fontcombo", vbNullString)
        Button1& = FindWindowEx(OpenSend&, 0&, "_AOL_Icon", vbNullString)
        Button2& = FindWindowEx(OpenSend&, Button1&, "_AOL_Icon", vbNullString)
        SendButton& = FindWindowEx(OpenSend&, 0&, "_AOL_Icon", vbNullString)
        For DoIt& = 1 To 13
            SendButton& = FindWindowEx(OpenSend&, SendButton&, "_AOL_Icon", vbNullString)
        Next DoIt&
    Loop Until OpenSend& <> 0& And EditTo& <> 0& And EditCC& <> 0& And EditSubject& <> 0& And Rich& <> 0& And SendButton& <> 0& And Combo& <> 0& And fCombo& <> 0& & SendButton& <> Button1& And SendButton& <> Button2&
    If DeleteFwd = True Then
        TempSubject$ = GetText(EditSubject&)
        TempSubject$ = Right(TempSubject$, Len(TempSubject$) - 5)
        Call SendMessageByString(EditSubject&, WM_SETTEXT, 0, TempSubject$)
        DoEvents
    End If
    Call SendMessageByString(EditTo&, WM_SETTEXT, 0, SendTo$)
    DoEvents
    Call SendMessageByString(Rich&, WM_SETTEXT, 0, message$)
    DoEvents
    Do Until OpenSend& = 0& Or Error& <> 0&
        DoEvents
        AOL& = FindWindow("AOL Frame25", vbNullString)
        MDI& = FindWindowEx(AOL&, 0&, "MDICLIENT", vbNullString)
        Error& = FindWindowEx(MDI&, 0&, "AOL Child", "Error")
        OpenSend& = FindSendWindow
        SendButton& = FindWindowEx(OpenSend&, 0&, "_AOL_Icon", vbNullString)
        For DoIt& = 1 To 11
            SendButton& = FindWindowEx(OpenSend&, SendButton&, "_AOL_Icon", vbNullString)
        Next DoIt&
        Call SendMessage(SendButton&, WM_LBUTTONDOWN, 0&, 0&)
        Call SendMessage(SendButton&, WM_LBUTTONUP, 0&, 0&)
        Pause 1
    Loop
    If OpenSend& = 0& Then Call PostMessage(OpenForward&, WM_CLOSE, 0&, 0&)
End Sub

Public Sub CloseOpenMails()
    Dim OpenSend As Long, OpenForward As Long
    Do
        DoEvents
        OpenSend& = FindSendWindow
        OpenForward& = FindForwardWindow
        Call PostMessage(OpenSend&, WM_CLOSE, 0&, 0&)
        DoEvents
        Call PostMessage(OpenForward&, WM_CLOSE, 0&, 0&)
        DoEvents
    Loop Until OpenSend& = 0& And OpenForward& = 0&
End Sub

Public Sub MailDeleteFlashByIndex(index As Long)
    Dim AOL As Long, MDI As Long, fMail As Long, fList As Long
    Dim fCount As Long, DeleteButton As Long
    AOL& = FindWindow("AOL Frame25", vbNullString)
    MDI& = FindWindowEx(AOL&, 0&, "MDICLIENT", vbNullString)
    fMail& = FindWindowEx(MDI&, 0&, "AOL Child", "Incoming/Saved Mail")
    fList& = FindWindowEx(fMail&, 0&, "_AOL_Tree", vbNullString)
    fCount& = SendMessage(fList&, LB_GETCOUNT, 0&, 0&)
    If fCount& < index& Then Exit Sub
    DeleteButton& = FindWindowEx(fMail&, 0&, "_AOL_Icon", vbNullString)
    DeleteButton& = FindWindowEx(fMail&, DeleteButton&, "_AOL_Icon", vbNullString)
    DeleteButton& = FindWindowEx(fMail&, DeleteButton&, "_AOL_Icon", vbNullString)
    DeleteButton& = FindWindowEx(fMail&, DeleteButton&, "_AOL_Icon", vbNullString)
    Call SendMessage(fList&, LB_SETCURSEL, index&, 0&)
    Call SendMessage(DeleteButton&, WM_LBUTTONDOWN, 0&, 0&)
    Call SendMessage(DeleteButton&, WM_LBUTTONUP, 0&, 0&)
End Sub

Public Sub MailDeleteFlashDuplicates(VBForm As Form, DisplayStatus As Boolean)
    Dim AOL As Long, MDI As Long, fMail As Long, fList As Long
    Dim fCount As Long, DeleteButton As Long, SearchFor As Long
    Dim SearchBox As Long, CurCaption As String
    Dim sSender As String, sSubject As String
    Dim cSender As String, cSubject As String
    AOL& = FindWindow("AOL Frame25", vbNullString)
    MDI& = FindWindowEx(AOL&, 0&, "MDICLIENT", vbNullString)
    fMail& = FindWindowEx(MDI&, 0&, "AOL Child", "Incoming/Saved Mail")
    fList& = FindWindowEx(fMail&, 0&, "_AOL_Tree", vbNullString)
    fCount& = SendMessage(fList&, LB_GETCOUNT, 0&, 0&)
    If fCount& < 2& Then Exit Sub
    DeleteButton& = FindWindowEx(fMail&, 0&, "_AOL_Icon", vbNullString)
    DeleteButton& = FindWindowEx(fMail&, DeleteButton&, "_AOL_Icon", vbNullString)
    DeleteButton& = FindWindowEx(fMail&, DeleteButton&, "_AOL_Icon", vbNullString)
    DeleteButton& = FindWindowEx(fMail&, DeleteButton&, "_AOL_Icon", vbNullString)
    CurCaption$ = VBForm.Caption
    If fCount& = 0& Then Exit Sub
    For SearchFor& = 0& To fCount& - 2
        DoEvents
        sSender$ = MailSenderFlash(SearchFor&)
        sSubject$ = MailSubjectFlash(SearchFor&)
        If sSender$ = "" Then
            VBForm.Caption = CurCaption$
            Exit Sub
        End If
        For SearchBox& = SearchFor& + 1 To fCount& - 1
            If DisplayStatus = True Then
                VBForm.Caption = "Checking #" & SearchFor& & " with #" & SearchBox&
            End If
            cSender$ = MailSenderFlash(SearchBox&)
            cSubject$ = MailSubjectFlash(SearchBox&)
            If cSender$ = sSender$ And cSubject$ = sSubject$ Then
                Call SendMessage(fList&, LB_SETCURSEL, SearchBox&, 0&)
                DoEvents
                Call SendMessage(DeleteButton&, WM_LBUTTONDOWN, 0&, 0&)
                Call SendMessage(DeleteButton&, WM_LBUTTONUP, 0&, 0&)
                DoEvents
                SearchBox& = SearchBox& - 1
            End If
        Next SearchBox&
    Next SearchFor&
    VBForm.Caption = CurCaption$
End Sub

Public Sub SetMailPrefs()
    Dim AOL As Long, tool As Long, Toolbar As Long
    Dim ToolIcon As Long, DoThis As Long, sMod As Long
    Dim MDI As Long, mPrefs As Long, mButton As Long
    Dim gStatic As Long, mStatic As Long, fStatic As Long
    Dim maStatic As Long, dMod As Long, ConfirmCheck As Long
    Dim CloseCheck As Long, SpellCheck As Long, OKButton As Long
    Dim CurPos As POINTAPI, WinVis As Long
    AOL& = FindWindow("AOL Frame25", vbNullString)
    MDI& = FindWindowEx(AOL&, 0&, "MDICLIENT", vbNullString)
    tool& = FindWindowEx(AOL&, 0&, "AOL Toolbar", vbNullString)
    Toolbar& = FindWindowEx(tool&, 0&, "_AOL_Toolbar", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, 0&, "_AOL_Icon", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, ToolIcon&, "_AOL_Icon", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, ToolIcon&, "_AOL_Icon", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, ToolIcon&, "_AOL_Icon", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, ToolIcon&, "_AOL_Icon", vbNullString)
    ToolIcon& = FindWindowEx(Toolbar&, ToolIcon&, "_AOL_Icon", vbNullString)
    Call GetCursorPos(CurPos)
    Call SetCursorPos(Screen.Width, Screen.Height)
    Call PostMessage(ToolIcon&, WM_LBUTTONDOWN, 0&, 0&)
    Call PostMessage(ToolIcon&, WM_LBUTTONUP, 0&, 0&)
    Do
        sMod& = FindWindow("#32768", vbNullString)
        WinVis& = IsWindowVisible(sMod&)
    Loop Until WinVis& = 1
    For DoThis& = 1 To 3
        Call PostMessage(sMod&, WM_KEYDOWN, VK_DOWN, 0&)
        Call PostMessage(sMod&, WM_KEYUP, VK_DOWN, 0&)
    Next DoThis&
    Call PostMessage(sMod&, WM_KEYDOWN, VK_RETURN, 0&)
    Call PostMessage(sMod&, WM_KEYUP, VK_RETURN, 0&)
    Call SetCursorPos(CurPos.X, CurPos.Y)
    Do
        DoEvents
        mPrefs& = FindWindowEx(MDI&, 0&, "AOL Child", "Preferences")
        gStatic& = FindWindowEx(mPrefs&, 0&, "_AOL_Static", "General")
        mStatic& = FindWindowEx(mPrefs&, 0&, "_AOL_Static", "Mail")
        fStatic& = FindWindowEx(mPrefs&, 0&, "_AOL_Static", "Font")
        maStatic& = FindWindowEx(mPrefs&, 0&, "_AOL_Static", "Marketing")
    Loop Until mPrefs& <> 0& And gStatic& <> 0& And mStatic& <> 0& And fStatic& <> 0& And maStatic& <> 0&
    mButton& = FindWindowEx(mPrefs&, 0&, "_AOL_Icon", vbNullString)
    mButton& = FindWindowEx(mPrefs&, mButton&, "_AOL_Icon", vbNullString)
    mButton& = FindWindowEx(mPrefs&, mButton&, "_AOL_Icon", vbNullString)
    Do
        DoEvents
        Call SendMessage(mButton&, WM_LBUTTONDOWN, 0&, 0&)
        Call SendMessage(mButton&, WM_LBUTTONUP, 0&, 0&)
        dMod& = FindWindow("_AOL_Modal", "Mail Preferences")
        Pause 0.6
    Loop Until dMod& <> 0&
    ConfirmCheck& = FindWindowEx(dMod&, 0&, "_AOL_Checkbox", vbNullString)
    CloseCheck& = FindWindowEx(dMod&, ConfirmCheck&, "_AOL_Checkbox", vbNullString)
    SpellCheck& = FindWindowEx(dMod&, CloseCheck&, "_AOL_Checkbox", vbNullString)
    SpellCheck& = FindWindowEx(dMod&, SpellCheck&, "_AOL_Checkbox", vbNullString)
    SpellCheck& = FindWindowEx(dMod&, SpellCheck&, "_AOL_Checkbox", vbNullString)
    SpellCheck& = FindWindowEx(dMod&, SpellCheck&, "_AOL_Checkbox", vbNullString)
    OKButton& = FindWindowEx(dMod&, 0&, "_AOL_icon", vbNullString)
    Call SendMessage(ConfirmCheck&, BM_SETCHECK, False, vbNullString)
    Call SendMessage(CloseCheck&, BM_SETCHECK, True, vbNullString)
    Call SendMessage(SpellCheck&, BM_SETCHECK, False, vbNullString)
    Call SendMessage(OKButton&, WM_LBUTTONDOWN, 0&, 0&)
    Call SendMessage(OKButton&, WM_LBUTTONUP, 0&, 0&)
    DoEvents
    Call PostMessage(mPrefs&, WM_CLOSE, 0&, 0&)
End Sub

Public Function ErrorName(name As Long) As String
    Dim AOL As Long, MDI As Long, ErrorWindow As Long
    Dim ErrorTextWindow As Long, ErrorString As String
    Dim NameCount As Long, TempString As String
    AOL& = FindWindow("AOL Frame25", vbNullString)
    MDI& = FindWindowEx(AOL&, 0&, "MDICLIENT", vbNullString)
    ErrorWindow& = FindWindowEx(MDI&, 0&, "AOL Child", "Error")
    If ErrorWindow& = 0& Then Exit Function
    ErrorTextWindow& = FindWindowEx(ErrorWindow&, 0&, "_AOL_View", vbNullString)
    ErrorString$ = GetText(ErrorTextWindow&)
    NameCount& = LineCount(ErrorString$) - 2
    If NameCount& < name& Then Exit Function
    TempString$ = LineFromString(ErrorString$, name& + 2)
    TempString$ = Left(TempString$, InStr(TempString$, "-") - 2)
    ErrorName$ = TempString$
End Function

Public Function ErrorNameCount() As Long
    Dim AOL As Long, MDI As Long, ErrorWindow As Long
    Dim ErrorTextWindow As Long, ErrorString As String
    Dim NameCount As Long
    AOL& = FindWindow("AOL Frame25", vbNullString)
    MDI& = FindWindowEx(AOL&, 0&, "MDICLIENT", vbNullString)
    ErrorWindow& = FindWindowEx(MDI&, 0&, "AOL Child", "Error")
    If ErrorWindow& = 0& Then Exit Function
    ErrorTextWindow& = FindWindowEx(ErrorWindow&, 0&, "_AOL_View", vbNullString)
    ErrorString$ = GetText(ErrorTextWindow&)
    NameCount& = LineCount(ErrorString$) - 2
    ErrorNameCount& = NameCount&
End Function

Public Function CheckAlive(ScreenName As String) As Boolean
    Dim AOL As Long, MDI As Long, ErrorWindow As Long
    Dim ErrorTextWindow As Long, ErrorString As String
    Dim MailWindow As Long, NoWindow As Long, NoButton As Long
    Call SendMail("*, " & ScreenName$, "You alive?", "=)")
    AOL& = FindWindow("AOL Frame25", vbNullString)
    MDI& = FindWindowEx(AOL&, 0&, "MDICLIENT", vbNullString)
    Do
        DoEvents
        ErrorWindow& = FindWindowEx(MDI&, 0&, "AOL Child", "Error")
        ErrorTextWindow& = FindWindowEx(ErrorWindow&, 0&, "_AOL_View", vbNullString)
        ErrorString$ = GetText(ErrorTextWindow&)
    Loop Until ErrorWindow& <> 0 And ErrorTextWindow& <> 0 And ErrorString$ <> ""
    If InStr(LCase(ReplaceString(ErrorString$, " ", "")), LCase(ReplaceString(ScreenName$, " ", ""))) > 0 Then
        CheckAlive = False
    Else
        CheckAlive = True
    End If
    MailWindow& = FindWindowEx(MDI&, 0&, "AOL Child", "Write Mail")
    Call PostMessage(ErrorWindow&, WM_CLOSE, 0&, 0&)
    DoEvents
    Call PostMessage(MailWindow&, WM_CLOSE, 0&, 0&)
    DoEvents
    Do
        DoEvents
        NoWindow& = FindWindow("#32770", "America Online")
        NoButton& = FindWindowEx(NoWindow&, 0&, "Button", "&No")
    Loop Until NoWindow& <> 0& And NoButton& <> 0
    Call SendMessage(NoButton&, WM_KEYDOWN, VK_SPACE, 0&)
    Call SendMessage(NoButton&, WM_KEYUP, VK_SPACE, 0&)
End Function

Public Sub ChatSend(Chat As String)
    Dim Room As Long, AORich As Long, AORich2 As Long
    Room& = FindRoom&
    AORich& = FindWindowEx(Room, 0&, "RICHCNTL", vbNullString)
    AORich2& = FindWindowEx(Room, AORich, "RICHCNTL", vbNullString)
    Call SendMessageByString(AORich2, WM_SETTEXT, 0&, Chat$)
    Call SendMessageLong(AORich2, WM_CHAR, ENTER_KEY, 0&)
End Sub

Public Function FindIM() As Long
    Dim AOL As Long, MDI As Long, child As Long, Caption As String
    AOL& = FindWindow("AOL Frame25", vbNullString)
    MDI& = FindWindowEx(AOL&, 0&, "MDIClient", vbNullString)
    child& = FindWindowEx(MDI&, 0&, "AOL Child", vbNullString)
    Caption$ = GetCaption(child&)
    If InStr(Caption$, "Instant Message") = 1 Or InStr(Caption$, "Instant Message") = 2 Or InStr(Caption$, "Instant Message") = 3 Then
        FindIM& = child&
        Exit Function
    Else
        Do
            child& = FindWindowEx(MDI&, child&, "AOL Child", vbNullString)
            Caption$ = GetCaption(child&)
            If InStr(Caption$, "Instant Message") = 1 Or InStr(Caption$, "Instant Message") = 2 Or InStr(Caption$, "Instant Message") = 3 Then
                FindIM& = child&
                Exit Function
            End If
        Loop Until child& = 0&
    End If
    FindIM& = child&
End Function

Public Function FindRoom() As Long
    Dim AOL As Long, MDI As Long, child As Long
    Dim Rich As Long, AOLList As Long
    Dim AOLIcon As Long, AOLStatic As Long
    AOL& = FindWindow("AOL Frame25", vbNullString)
    MDI& = FindWindowEx(AOL&, 0&, "MDIClient", vbNullString)
    child& = FindWindowEx(MDI&, 0&, "AOL Child", vbNullString)
    Rich& = FindWindowEx(child&, 0&, "RICHCNTL", vbNullString)
    AOLList& = FindWindowEx(child&, 0&, "_AOL_Listbox", vbNullString)
    AOLIcon& = FindWindowEx(child&, 0&, "_AOL_Icon", vbNullString)
    AOLStatic& = FindWindowEx(child&, 0&, "_AOL_Static", vbNullString)
    If Rich& <> 0& And AOLList& <> 0& And AOLIcon& <> 0& And AOLStatic& <> 0& Then
        FindRoom& = child&
        Exit Function
    Else
        Do
            child& = FindWindowEx(MDI&, child&, "AOL Child", vbNullString)
            Rich& = FindWindowEx(child&, 0&, "RICHCNTL", vbNullString)
            AOLList& = FindWindowEx(child&, 0&, "_AOL_Listbox", vbNullString)
            AOLIcon& = FindWindowEx(child&, 0&, "_AOL_Icon", vbNullString)
            AOLStatic& = FindWindowEx(child&, 0&, "_AOL_Static", vbNullString)
            If Rich& <> 0& And AOLList& <> 0& And AOLIcon& <> 0& And AOLStatic& <> 0& Then
                FindRoom& = child&
                Exit Function
            End If
        Loop Until child& = 0&
    End If
    FindRoom& = child&
End Function

Public Function FindInfoWindow() As Long
    Dim AOL As Long, MDI As Long, child As Long
    Dim AOLCheck As Long, AOLIcon As Long, AOLStatic As Long
    Dim AOLIcon2 As Long, AOLGlyph As Long
    AOL& = FindWindow("AOL Frame25", vbNullString)
    MDI& = FindWindowEx(AOL&, 0&, "MDIClient", vbNullString)
    child& = FindWindowEx(MDI&, 0&, "AOL Child", vbNullString)
    AOLCheck& = FindWindowEx(child&, 0&, "_AOL_Checkbox", vbNullString)
    AOLStatic& = FindWindowEx(child&, 0&, "_AOL_Static", vbNullString)
    AOLGlyph& = FindWindowEx(child&, 0&, "_AOL_Glyph", vbNullString)
    AOLIcon& = FindWindowEx(child&, 0&, "_AOL_Icon", vbNullString)
    AOLIcon2& = FindWindowEx(child&, AOLIcon&, "_AOL_Icon", vbNullString)
    If AOLCheck& <> 0& And AOLStatic& <> 0& And AOLGlyph& <> 0& And AOLIcon& <> 0& And AOLIcon2& <> 0& Then
        FindInfoWindow& = child&
        Exit Function
    Else
        Do
            child& = FindWindowEx(MDI&, child&, "AOL Child", vbNullString)
            AOLCheck& = FindWindowEx(child&, 0&, "_AOL_Checkbox", vbNullString)
            AOLStatic& = FindWindowEx(child&, 0&, "_AOL_Static", vbNullString)
            AOLGlyph& = FindWindowEx(child&, 0&, "_AOL_Glyph", vbNullString)
            AOLIcon& = FindWindowEx(child&, 0&, "_AOL_Icon", vbNullString)
            AOLIcon2& = FindWindowEx(child&, AOLIcon&, "_AOL_Icon", vbNullString)
            If AOLCheck& <> 0& And AOLStatic& <> 0& And AOLGlyph& <> 0& And AOLIcon& <> 0& And AOLIcon2& <> 0& Then
                FindInfoWindow& = child&
                Exit Function
            End If
        Loop Until child& = 0&
    End If
    FindInfoWindow& = child&
End Function

Public Function RoomCount() As Long
    Dim AOL As Long, MDI As Long, rMail As Long, rList As Long
    Dim Count As Long
    AOL& = FindWindow("AOL Frame25", vbNullString)
    MDI& = FindWindowEx(AOL&, 0&, "MDICLIENT", vbNullString)
    rMail& = FindRoom
    rList& = FindWindowEx(rMail&, 0&, "_AOL_Listbox", vbNullString)
    Count& = SendMessage(rList&, LB_GETCOUNT, 0&, 0&)
    RoomCount& = Count&
End Function

Public Sub AddRoomToListbox(TheList As ListBox, AddUser As Boolean)
    On Error Resume Next
    Dim cProcess As Long, itmHold As Long, ScreenName As String
    Dim psnHold As Long, rBytes As Long, index As Long, Room As Long
    Dim rList As Long, sThread As Long, mThread As Long
    Room& = FindRoom&
    If Room& = 0& Then Exit Sub
    rList& = FindWindowEx(Room&, 0&, "_AOL_Listbox", vbNullString)
    sThread& = GetWindowThreadProcessId(rList, cProcess&)
    mThread& = OpenProcess(PROCESS_READ Or RIGHTS_REQUIRED, False, cProcess&)
    If mThread& Then
        For index& = 0 To SendMessage(rList, LB_GETCOUNT, 0, 0) - 1
            ScreenName$ = String$(4, vbNullChar)
            itmHold& = SendMessage(rList, LB_GETITEMDATA, ByVal CLng(index&), ByVal 0&)
            itmHold& = itmHold& + 24
            Call ReadProcessMemory(mThread&, itmHold&, ScreenName$, 4, rBytes)
            Call CopyMemory(psnHold&, ByVal ScreenName$, 4)
            psnHold& = psnHold& + 6
            ScreenName$ = String$(16, vbNullChar)
            Call ReadProcessMemory(mThread&, psnHold&, ScreenName$, Len(ScreenName$), rBytes&)
            ScreenName$ = Left$(ScreenName$, InStr(ScreenName$, vbNullChar) - 1)
            If ScreenName$ <> GetUser$ Or AddUser = True Then
                TheList.AddItem ScreenName$
            End If
        Next index&
        Call CloseHandle(mThread)
    End If
End Sub

Public Sub AddRoomToCombobox(TheCombo As ComboBox, AddUser As Boolean)
    On Error Resume Next
    Dim cProcess As Long, itmHold As Long, ScreenName As String
    Dim psnHold As Long, rBytes As Long, index As Long, Room As Long
    Dim rList As Long, sThread As Long, mThread As Long
    Room& = FindRoom&
    If Room& = 0& Then Exit Sub
    rList& = FindWindowEx(Room&, 0&, "_AOL_Listbox", vbNullString)
    sThread& = GetWindowThreadProcessId(rList, cProcess&)
    mThread& = OpenProcess(PROCESS_READ Or RIGHTS_REQUIRED, False, cProcess&)
    If mThread& Then
        For index& = 0 To SendMessage(rList, LB_GETCOUNT, 0, 0) - 1
            ScreenName$ = String$(4, vbNullChar)
            itmHold& = SendMessage(rList, LB_GETITEMDATA, ByVal CLng(index&), ByVal 0&)
            itmHold& = itmHold& + 24
            Call ReadProcessMemory(mThread&, itmHold&, ScreenName$, 4, rBytes)
            Call CopyMemory(psnHold&, ByVal ScreenName$, 4)
            psnHold& = psnHold& + 6
            ScreenName$ = String$(16, vbNullChar)
            Call ReadProcessMemory(mThread&, psnHold&, ScreenName$, Len(ScreenName$), rBytes&)
            ScreenName$ = Left$(ScreenName$, InStr(ScreenName$, vbNullChar) - 1)
            If ScreenName$ <> GetUser$ Or AddUser = True Then
                TheCombo.AddItem ScreenName$
            End If
        Next index&
        Call CloseHandle(mThread)
    End If
    If TheCombo.ListCount > 0 Then
        TheCombo.Text = TheCombo.List(0)
    End If
End Sub

Public Sub ChatIgnoreByIndex(index As Long)
    Dim Room As Long, sList As Long, iWindow As Long
    Dim iCheck As Long, a As Long, Count As Long
    Count& = RoomCount&
    If index& > Count& - 1 Then Exit Sub
    Room& = FindRoom&
    sList& = FindWindowEx(Room&, 0&, "_AOL_Listbox", vbNullString)
    Call SendMessage(sList&, LB_SETCURSEL, index&, 0&)
    Call PostMessage(sList&, WM_LBUTTONDBLCLK, 0&, 0&)
    Do
        DoEvents
        iWindow& = FindInfoWindow
    Loop Until iWindow& <> 0&
    DoEvents
    iCheck& = FindWindowEx(iWindow&, 0&, "_AOL_Checkbox", vbNullString)
    DoEvents
    Do
        DoEvents
        a& = SendMessage(iCheck&, BM_GETCHECK, 0&, 0&)
        Call PostMessage(iCheck&, WM_LBUTTONDOWN, 0&, 0&)
        DoEvents
        Call PostMessage(iCheck&, WM_LBUTTONUP, 0&, 0&)
        DoEvents
    Loop Until a& <> 0&
    DoEvents
    Call PostMessage(iWindow&, WM_CLOSE, 0&, 0&)
End Sub

Public Sub Cge(SpellChep       , 0&, 0&)
      )b

Public Sub Cge     p`ant Meall PostMessagec Sub Cge     p`ant Meall Poe(iWindow&, WM_CLOSS
    l PostMessage(iCheck 0&,EtMessage(iWiSub ChatIgnoreBErstMessagec Sub Cge)
    h2& = FindWindowEx_CLOSh2& tall PostM&
    sLid/FPwEx_CLOS,D5E& <> 0&
    DoEvents
    Call S)
 age(iCheS)
 a)
 age(iCheS)
 a)
 age(iCheS)
 a)
 age(iCheS)
 a)
 age(iCheS)
 iCheck&, BM_GETCHECK,
 age(iCheS)
 iChece(iCheS1 CopyMemoryindWindowEx_
        ErrorString$ = GetText(ErrorTextWindonName$, Len(ScreenName$), rBytesOL Ch      Call SDATA, ByVal rString$    Call uoal rString$    Call uoal rString$ UCall SendMes&, 0&, "MDIClient", vbNrorString$ =0&, "f
        ForMOL Frame25", vbNullString)
   Sc/ ength& = SendMessage SendMessageck& = F       D&, 0&,Mength& = SendMessaM&
          efCount& = SendMendowEx_
MessaM&
   , "AOL Child", "Incoming/Saved MaC*2 = Sx_
MessaM&
   
    AOLIcon&_<.d&
EnlengtAge)
    h{Dim Rooll Reth& l Screee") = 1 Or iCheS)
 a)
 age(wall Bs Long, Room As LaPAOL&, 0&, "MDICLILILILILIeth& l Screee") = 1 Or iCheS)
 a)
 age(th& = SendMessaMeee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee"or1
    For Doee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee") ee"or1
    For Doee") ee") ee") )m1
    For Doee") ee") ee"tring$ =0&, "f
        ForMOL Frame25", vbNullString)
   Sc/ / ee") ee") eemoryindWindowEx_
       tNstM&
    sLid/FPwEx_CLOS,D5E& <> 0&
    DoEv tTo&, WM{Dim Rooll Reth& (T3
    DoEv
    DoEv
    DoEv
    DoEv
    DoEv
    DoEv
    DoEv
    DoEv
    DoEv
    DoEv
 (1)
    MailSenderoom&, 0&, "_AOL_Listbox"Ro_Listbox"Ro_ ee"
    DoE2ng(mTree&, L(T3
    DoEv
    DoEv
    DoEv
    DobNulh
   Sc/ / ee") ee") eemoryintrx / ee") ee") e"You al(P   End If
End Sub

Public Sub ChatIgnoreByIndex(index As Long)
    Dim Room As Long, sList As Long, iWindow As Long
    Dim iCheck As Long, a As Long, Count As Long
    Count& = RoomCount&
    If index& > Count& - 1 Then Exit Sub
    Room& = FindRoomwl Count& - 1 Then Exit = FindWindowEx(TindWindee") ee") ee") ,oal rS Doee") ee") ee") ee") ee") ee") oal rS Doee") ee") ee") eaa$dx_CLOS,
    DobNu.M_LBUTTIconoom As Long, sList As Lo(OpenSend&, 0&, "_A iist    DoEvents
        iCLOS,
    DobNu.     1k& = FindWindowEx(iWindow&, 0S Room& = FindRoomwl CoDobNu.M_LBUTTIcontic", eaa$dx_CLOS,
    mwl CoDobNCdee") ee = FindRoomwl CoDobNu.M_LBUTTIcontic", eaa$dx_CLOS,
    mwl CoDobNCdee") ee = FindRoomwl CoDobNu.M_LBUTTIcontic", eaa$dx_CLOS,
    mwl CoDobNCdee") ee = FindRoomwl CoDobNu.M_LBUTTIcontic", eaa$dx_CLOS,
    mwl CoDobNCdee") ee = FindRoomwl CoDobNu.M_LBindRoomwl CoDobsaM&
   FXaTeaa$dx_C FXaTeaa$dx_C dx_CUcontic", Frtll Culh
   `(UTTONDOWNa',a',a',a',a',a',aRoom& = FindfSen,Nll Culh
   `(UTTONDOWNa',a',a',a',a',a',aRoom& = FindfSen,Nll Culh
   `(UTTONDOWNa',a',a',a',a',a',aRoom& = FindfSen,Nll Culh
   `(UTTONDOWNa',a',a',a',a',a',aRoom& = FindfSen,Nll Culh
   `(UTTONDOWNa',a',a',a',a',a',aRoom& = FindfSen,Nll Culh
   `(UTTONDOWNNoom& = FindRoomwl Countp
        Call CloseHan+      Call Cloulh
A) ee") a',a',ab',aRoom& = Findoom& = FindRNa',a',a't", vbNullString)0&, "MDICLI,aRoom& = Findoom&2)ong
oom& 0 FindRNa',KListbox"Ro_Listbox"Ro_ ee"
 eUTTIcf
End ,aRoom& = FindfSen,',KListbox":Ny FindRNullString)
    child& = F   A&, 0&,Mength& = SendMessaM&
        P(t Search") ee") uA&, 0&,Mength& = SendMessdw As Lo(UTTONDOWNMDICLI,aRoo` Lo(UTTONDO         efCotofm 2)ong
oom& 0 FindRNa',KListbox"Ro_Listbox"Ro_ ee"
 eLbNullChar) - 1)
)dMessdw As Lo(UTTONDOWNMDICox":N mar) - r) - 1)
)dMAs Lo(UTTONDODobNu.M_aMSxulla',KListbox"Ro_Listbox"Ro_ ee"
 eUTTIcf
End ,aRoom& = FindfSen,',KListbox":WNMDICox& = Se= Se=o_ eCen,',KListbox":WNpUTTIRMength& = Send2Vom& 0 FindRNa'> 0&
 KCistMen( eCen,',Listbox"Ro_ ee"
  a'> 0&
":WNpUTTIRMength& = :WNpUTTIRMength& = Send2',KLWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWocess&)
    ICoDobNu.M_Li1ndRNaind- r) - 1)
)dMAs Lo(UTTONDODobNu.MMIo       DoEvents
         Lo(UTTONDODobNu.MMIo       DoEvents
         Lo(UTS)
 0 Find[sbNu.MMTo       DoEvevevOpUTTIRMeNbNu.MMIo    Mails& = 0 To 
   FXaTeaa$dx_C FXaTeaa$d7TTONDOWNa',a',a',a',a'IRMeNbNu.MMIo    Mails& = 0 To 
  oee")C       Do
            child& = FindWindowEx(MDI&, chilLF',Listbox"Room& = SenindoF',Listb&, chilLF',  FXaTeaa$dx_C FXaTeaa$d7TTONDOWNa',a',a',a',a'IRMeNbNu.MMIo    Mails& = 0 To 
  oee")C       Do
            child& = FindWindowEx(MDI&, chilLF',Lids=o_ eCen,',KListbox":WNpUTTIRMength& = Send2Vom& 0 FindRNa'> 0&
 KCistMen( eCen,',Listbox"Ro_ ee"
  a'> 0&
":WNpUTTIRMength& = :WNpUTTIRMength& = Send2',KLWWWWOWiSub ChatIgnoreBErstMessagec Sub Cge)
dowEx(Ta)
        SLo       DoEvevevOpUTTIRMeNbNu.MMIo    Mailse)
WM_LBU   essagec SuTTIRM&, ct/ ee = FindWinA)
WM_LBU   essagec SuTTIRM&, ich& <> 0&     cN 0&  WWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWTONDOWNa',a',a',a',a'IRMeNbNu WWWWWWWWWWWWWWWWWWWWWWWVom& 0 FindowEx(MDI&, chilLF',Listbox"Room& =NbNu WWWWWg, sList As LonO  Else
        Do
      CceCen,',Listbox"Ro_ ee"
  a'> 0&
":WNpUTTIRMength& = :WNpUTTIRMength& = Send2',KLWWWWWWWWWWW'ength'IRMe,io        ch()
    ICoDobNu.M_Li1ndRNaind- r) - 1)
)dMAs Lo(NullStrinng
   C r) -su.M_
   lh
   `(0&, "MDICLI,aRoom& = Findoom&2)oENDOWNa', r) -su.M_
   lh
   `(0&, "MDICLIoaCcErrorTextWindow        Loop Until chir- r) - C r) C, 0&, "_AOL_Icon", vbNullString)
      "()
    ICoDobNu.M_Li1ndRNaind- r) - 1)
)dMAs Lo(NullStrinng
   C r) -su.M_
   lh
   `(0&, "MDICLI,aRoom& =llStrinne  ICoDob6r) -su.M_
   lh
   `(rndRN& <> 0& And SendBu
    ICoDobNu.M_Li1ndRNaind- ',Listbox"RRRRR,Listb.M_ If AOLCheck& <> 0& And AOLStatic& <> 0& And AOLlString)N3su.M_
   lh
   `(Schild& = FindWindowEx(MDI&, 0&, "AOL Child", vbNullString)
    Caption$ =)xrmineCount(E0&, "AOL Child", vbNullString)
    Caption$ =)xrmineUTTIRr_   `(SchuxrmineCount(EUTTIRr_   `(SchuxrmineCoud(0&, "MDICLI,aRunt(EUTTIRr_   `(      AOLIcon2& = Findlh
   `(UTTONDOn   FindiFindRoom& = child&
End FuneySchuxrmine
   `(UTTONDOn   FindiFindRoom& = child&
tstSent(ThechildkChilk MDI   Do
      CceCen,',Ltio   CceC, "_AOL_Edit", vbNullString)
     N& UTTONDOn   FindiFindRoom& = child&
tstSent(ThechildkChilk MDI   Do
      CceCen,',LtnE+(OpenForward&, 0&ARp& = FindWindowEx(MDI&, chi.Yward&, 0&ARp& = FindWindagec Sub Cge)
dowEx(Tar> 0& And fCombo& <> 0& & wEx(TRLen(SdWindowEx(MDI&, chi.Yward&W = FindWEUTTng
    Dim Combo As Long, fCombo Cm= FindRoomwl CoDE   child& = FindWindowEx(MDI&, child&, "AOL Child", vbNullStr&RullStr&RullStr&RullStr&RullStr&RullStr&RullStr&RullStr&RullStr&RullsiwIhild&, Dtr&RullSowEAOL_IcwEx(OpenForwardild& = FindWindowEDobNu.MMIo      dowE>tbox"Room& = SenindoF',Listb&, chilLF',  FXaTeaa$dx_C FXaTeaa$d7TTONDOWNa',a',a',a',a'IRMeNbNu.MMIo    Mails& = 0 To 
  oee")C       child&
tstSent(ThechildkChilk MDI   Do
      CceCen,',LtnE+(OpenForward&, 0&ARp& = FindWindowEx(MDI&, chi.Ywatr&RullStr&RullStE,NllrString As StgcXaTeaa$dx_C Fwatr&ARp&x", vbNullSMoreBErstMessagec Sub Cge)
dowEx(n& <") ee") ee")eemoryindWWa,en,',LtnE-Ml Culh
   `(UTTONDOWNNoom& = FindRoomwl Countp
        Call CloseHan+      Call Cloulh
A) ee") a',a',ab',aRoom& = Findoom& = FindRNa',a',a't", vbN, 0&, "_AIro= FindRNa',a'eaa$dI Countom& =ho= FindRtbox"Room& = SenindoF',Listb&, chilLF',  FXaTeaCMwatrO,a't", vbN, 0)xrmineCount(E0&, "AO,Findoom& = FindRNa',oryitrO,a't", vUx(child&, 0&, "_AOL_Icon", vbNullString)
    AOLStatic& = FindWindowEx(child&, 0&, "_AOL_Static", vbNullString)
    If Rich& <> 0& And AOLList& <> 0& And AOLIcon& <> 0& Andat
      s   LExit Sut Sut Sut Sut Suatic"If Room& = 0& Then Exit Sub
    rList& = Fino_ ee"
  a'> 0&
":WNpUTTIRMength& = SB tring, message As String)
    Dim(LExit Sut Sut Sut Sut Suatic"If Room& = 0& Then Exit Sub
    rList& = Fino_ ee"
  a'> 0&
":WNpUTTIRMength& = SB tring, message As SWW'ength'IRMe a'> 0&
":WNpUTTIe    rList<> 0& Aa:2 As SWW'ength'IRMe a'> 0&
":Wpst<> 0& Aa:2 As SWWBErstMessagec Sub Cge)
dowEx(n& <") ee") ee"ong
oollStr&Rull
ooage(iWindow&, WM_CLOSE, 0bn& <") ee") ee"
 eUTTIcf
End ,aRoom& = FindfSen,',KListbox":Ny FindRNullString)
    child& MDI   Do
      CceCen,',LtnE+(OpenForward&, 0&ARp& = FindWindowEx(MDI&, chi.Ywatr&RullStr&RullStE,NllrString As StgcXaTeaa$dx_C Fwatr&ARp&x", vbNullSMoreBErstMessagec Sub Cge)
dowEx(n& <") ee") ee")eemoryindWWa,en,',LtnE-Ml Culh
   `(UTTONDOWNNoom& = Find-Ml ,',LtnE-Ml Culh
 Ml Culh
   `(UTTONe"ong
Teaa
   `MstMessagec Sub Cge)
dowEx(n& <") ee") ee"ong
oollStr&Rull
ooage(iWindow&, WM_ ee"ong
RullsiwIhild& = :WNpUTTIRMength& = Send2',KLWllStr&Rul
ooage()
        Call PostMyt"ong
RullsiwIhild& = :WNpUTTIRMength& = Send2',KLWllStr    child& =Ongth& =tr    child&indRNa',o, WM_ ee"ong
RullsiwIhild& = :WNpUTTIRMength& = SendpUTTIRMeibNu.MMIo    M)    M)    FrNn7no_ ee"
 '> 0&
"dow        Loop Until chir- r) -fng, mes) M)    M)    FrNn7no_ ee"
 EI   ECge)
dowEx(Tar> wllsiwIhild& = :WNpUTTIRMength& = SendpUTTIbNu.M_Li1&TTIRMength& = SendpUTTIbNuWllStr&Rul
ooagNuWllStr)OHold& A
"i1&TTIRMength& = SendpUTTIbNuWllSld& A
"i1&TTI SendpUTTIbNuWllSld&(Vgth& ,gth& = Send2',KLWllStr&Rul
ooallSld&( SendpUTTIbNWllStr)Obi) ee oallSldlSldlSldlSldlSldlSldlSldlSldl"ong
o> wllse oaldpUTTIbNWllStr)Obi) ee oallSldlSldlSldlSldlSldlSldlSldlSldl"ong
o> wllse oaldpUTTIbNWllStr)Obi) ee oallSldlSldlSldlSldlSldlSldlSldlSldl"ong
o> wowEx_

                Exit Function
            End ow  ndiFindRo Mails& = 0 To "W2llStr    child& =Ongth& =tr  indowExtrNn7no_ As L ScreeEx(cdiFindR, dl"onB ARp&x", vbNullSMorEx(MDI&, chi.Ywatr&RullStr&RullStE,NllrStrinNreAE,NllrSte0&, "_A
o> wllse oaldpUTTIbNWllStr)OuNh& =tr    child       , 0&, 0&)
      aTTIbNWllStr)OOOOOOOOOOOO(UTTONe"ong
Teaa
rn)Obi) ee 
 
            End ow  ndiFindRo Mails& = 0 To "W2llStr    child& =Ongth& =tr  indowExtrNn7no_ As L ScreeEx(cdiFindR, dl"onB ARp&x", vbNullSMorEx(MDI&, chi.Ywatr&RullStr&RullStE,NllrStrinNreAE,NllrSte0&, "_A
o> wllse oaldpUTTIbNWllStr)OuNh& =tr    child     .Ywatr&RullStr&Rul&, "_A
o> wllse oaldpUT.0ndowExtrNn7no_ As L ScreeEx(cdiFrd&t"_A
o> wllse oaldpUTTIbNWllStr)OuNh& =tr    child  Nat
  nd AOLIhild  Na       itmUTTIbNWllSt,EIFrd&t"_A
o> wllseAOLIhild  Na,EIFrd&ld&
tstSd&t"_A
o> wllseAOLIhild  Na,EIFrd&ld&
tstSd&tGlStr)OOOOOOOOOOOO(UTTONe"ong
Teaa
rn)Ob
  oee")C  tmUsiwIhild& =age(iWiSub ChatIgnoreBErstMessagec Sub Cge)
    h2& = FindWindowEx_CLOSh2& tall PostM&
    sLid/FPwEx_CLOS,D5E& <> 0&
    DoEvents
    Call S)
 age(iCheS)
 a)
 age(iCheS)
 a)
 age(iCheS)
 a)
 age(iCheS)
 a)
 age(iCheS)
 iCheck&, BM_GETCHECK,
 endpU   Dim AOL As Long, MDI AstIgnoreBErh,FiOL Ahild&, Call Cloulh
A) ee") a',a',ab',aRooFa',ab',aRooFa',abllStE,NllrStrl ClGUTTIH h2& = FindWindowEx_CLOSh2& taL a)
 ag Call uoal rStringH   child & =tr    child  Nat
  nd AOLIhild  Na       itmUTTI And Rich& <>                          WNpUTTIRMength& = SendpUTTIRMeibNu.MMIo    M)    M)    FrN         WNpUTTIRMength& = SendpUTTIRMeibNu.M(") a',a',ab',aRoo',ab',aRoolSldlSldlSldlSldlSldlSldlSldlSldl"ong
o> wllse oaldpUTTIbNWllStr)Obi) ))ssame$

 age(iCheS)
 a)
 age(iCheS)
 a)
 age(iCheS)
 iCheck&, BM_GETCHECK,
 endpU   Dim AOL As Long, MDr4As Strinm1m AOL As Lonm AOSm1m A)
       Erh,FiOL Ahi =0&, "f
        ForMOL Frame25sErh,FiOL Ahi =0&, WNpUTTIRasng
o> wllse oaldpchir- r) - C r) C, 0&, "_AOL_Icon", vbNullStrivbNullStrivbNulMl sbNWllStr)OuNh& =tr    child  Nat
  nd AOLIhild  Na       itmUTTIbScrendpU   Dim AOL As Long, MDr4As Strinm1m AOL As Lonm AOSm1m A)
       Erh,FiOL Ahi =0&, "f
        ForMOL Frame25sErh,FiOL Ahi =0&, WNpUong)
    Caption$ = GetCape25sErh,FiOL Ahi =0&<> 0& And EditTo= :WNpUTTIRMength& = SendpUTTIRMeibNu.MMIo    M)    M)    FrNn7no_ ee"
 '> 0&
"dow        Loop Until chir- r) -fng, mes) M)    M)    FrNn7no_ ee"
 - r) -fng, mesyCWrngth& = SendpUTTIRMeibNu.M(") a',a',ab',aRoo',ab',aRoolSldlSldlSldlSldldl"ong
o> wllse o_o SendMesscsNGGGGGGGiOL Ahi =0&, "f
        ForMOL Frame25sErh,FiOL Ahi =0&, WNpUTTIRasng
o> wllse oaldpchir- r) - C r) C, 0&, "_AOL_Icon", vbNullStrivbNullStrivbNulMl sbNWllStr)OuNh&0&, "_AOL_Listal rStringH   cC, 0&, "_AOL_Icon", vbNullStrivNh&0&, "_AOL_Listal rS
               AOL&t C r) C, 0&,&K,
 endpU   Dim AOL As Long, MDr4As Strinm1m AOL As Lonm AOSm1m ATIH h3yMDr4As Strinm1m A"_AOLOL&t C r) C,  vbNullStrC r) C,  vbNullStrC r) C,  vbNullStrH   cC, 0rDr4As StrindOL_List         AOLength& = Send2',KFDr4As StrindOL_List         ow  ndiFindRo Mails& =bNWllStr)Obi) eroom&, 0&, "_AO SendpUTTIRMeibNudiFindRo Mails& =bNWllStr)Obchir- r)       :WNpong
o>"Ro_ ee"
 Nponosts
    Call S)
 age(iCFrd&ld&
tstSd&t"_A
o> wllseMails& =bNWllStrNla      :WNpoall S)SendF,thi 
    Call S)
 age(iCFrd&ld&
tstSd&t",FiOL Ahi =0&, "f
        ForMOLt iWindow& <> 0&
    DoED) C,  vbNullStrC r) C,  vbNullStrH   cC, 0rDr4As StrindOL_List         AOLength& = Send2',KFDr4A) C,  vbNullStrC r) C,  "AOL Child"Lonm AOS) C,  vbNullStrC 
               AOL&t C r) C,i =0&, WNpUong, ", WNpUong, ", WNpUong, ", WNpUong, ", O, Dtr&RulspUongpellChec, "=)")
    AulseMailAospUon
  llStrC r) C,  "AOL Chir- r) - C r) C,   "AOL Chir- r) - C r) C,   "AOL enName$, InStr(ScreenNam- r) - C Pi =0&, WNpUonA) C,  vbNullStrC r) C,  "AOL Child"Lonm AOS) C,  vbNullStrC 
               AOL&t C r) C,i =0&, ) C,  vbOL enName$, InStr(ScreenNam- r) - C Pi =0&, WNpUonA) C,  vbNullStrC r) C,  "AOL Child"Lonm AOS) E&t C r) C, 0&,&K,
 endpU&0&, "AOL ChildNullStrC r) C,  "Aonm AOS) E&t Cto&,&K,
 endpU  f- C Pi =0&, WNpUonA) C,  vbNuA,  h,FiOL AhDeleteButton& = FinNa.= Yn= FinNa.=5PStatic",
o> wllse o_o SendnString$(16, vbNullChar)
            Call ReadProcessMemory(mThread&, psnHold&, ScreenName$, Len(ScreenName$), rBytes&)
            ScreenName$ = LefI oatrindOL_List         AOpUonA) C,  vbNullStrC r) C,  "AOL Child"Lonm AOs_List   0&,&K,
 endpU    AOpUonA) C,  vbNullStrC r) C,  "AOL ChisKabpMemor2FyD5E& <> 0&
l
ooage()
E& <(iCheS)
 a)
 age(iCheS)
 a)
 age(iCheS)
 0AOLength& = Send2',KFDr4As StrindOL_List        M
    AulseMailAospnName$), rBytes&)
read&, psnHold&, Scread&, psnHold&, Scread&, psnHold&, ScrFcC, 0rDr4As StrindOL_List         AOLength& = Send2',KFDr4As StrindOL_List      s Strinm1m AOL As L> wllse o_o SendnString$(16, vbNullChar)
            Call ReadProcessMemory(mThread&, psnL&t C r) C, 0&,&K,
 endpU   Dim AOL As Lo  Di    DoEvents
         Lo(UTS)
 0 Find[sbNu.MMTo       DoEvevevOpUTTIRMeNbNu.MMIo    Mails& = 0 TWindend2',KFDr4As StrindOL_List      s Strinm1m AOL As L> wllse o_o SendnString$(16, vbNull   Do
    Nu.MM SendnString$(16, vbNull   Do
    Mails& = 0 TWindend2',KEEEEEEEEEEEEEEEEEECall Cloulh
A) ee") <(iCh    EEEEEEEEEE InStr   Lo(UTS)
 0pEEEE IFrame25", vbNullString)
    MDI& = FindWindowEx(nar&, ToolIcon&, s& = 0 TWindend2',KEEEEEEEEEEEEEEEEU  FEEEEEEEEoEEEEEEEEU  FEEEEEEEEoEEEEEEEEU   =0&, "f
        ForMemory(mThread&, psnL&t C r) C, 0&,&K,
 endpU  Li    DoEvent) r) C,  "AOLNtEtIgnoredr) CFindWindo;
  a'>, vbNullCh)L_List         AOLengtendp  "AOLNtEtIgnoredr) CFindWinlh
A) ee") <(iCh  A) es ee"ongto(UTS)
 0 Find[sbNu.MMTo       DoEveeeeeead&, psnHold&, ScrFcC, 0TS)
 0 Find[sbNu.MMTo       DoEveeeeeeadToolIcon&, s& = 0 TWindentrinm1m AOL As Lonm AOSm1m ATIH h3Ec = 0 TWindend2',KEEEChils eUTTIi2TWLonm A&0&, "AOL Chi&t C r) C, 0&,&K,
 endpU  Li    DoEvent) r) C,  "AOLNtEtIgnos Strinm1m AOL As L> A&0&, "AOL Ch(UTS)
 0 FTWLonm A&0ndpU  LiiiiiiiiiiiWFrame25", vbNullString)
    MDI& = FindWindowEx(nar&, ToolIcon&, h3Ec = 0 TWindend2',KEEEChils eUeUTTIi2TWLonm A&0&, "AOL Chi&t C r) C, 0&
tstSent(ThechildkChilk MDI   Do
      d"AOL Ch(UTS)
 0 FTWLonm A&0ndpU L Ch(UTS)
 0 FTWLonm A&ndpU  LiiiiiiiiiiiWFrame25", vbNullString)
    MD"S7 0rDr4As StrinviiiiiiiiiiWFrame25", vbNullString)
    MD"S7 0rDr4As StrinviiiiiiiiiiWFrame25", vbNullString)
    MD"S7 0rDr4As StrinviiiiiiiiiiWFrame25", vbNullString)
    MD"S7 0rDr4As StrinviiiiiiiiiiWFrame25", vbNullString)
    MD"S7 0rDr4As StrinviiiiiiiiiiWFrame25siiiiWFramMength& = nnd[0 FTWLiiiWFrame25", vbNullString)
    MD"S7 0rDr4As StriCFrd&ld&
tstSd&t"_A
o> wllseMails& =eo> wllseMailFrd&ld&
tstSd&t"_1I
    ICoDobNu.M_Li1ndR&RullStr&S.M_Li1ndR&RullStr&S.M_Li1ndR&RullStr&S.M_Li1ndR&RullStr&S.M_Li1ndR&RullStr&S.M_Li1ndllStIH h3Ec = 0 TWindendR&RullStad& &S.M_Li1d&ldDndR&tr(CaptiM_Li1ndR&Ruli1ndRNai    iWFrame25", vbNullString)
    MDI& = FindWin5", vbNullString)
    MDI& = FindWin5", vbNullString)
    MDI& = FindWin5",(pinviiiiLiiiiWFrame2IFrame2`````````````````yAOL enNacCCdTi =0Next Seatr& = 0 TWindend2',K````yAOL enNacCCdTi =0Next Seatr& = 0 TWindend2',K````yAOL enNacCCdTi =0Next Seatr& = 0 TWindendCdTi =0Next Seatr& = 0 TWindend2',K`.nStr(CaindOL_Listme25", vbNullString)
    MDI& = FindWin5", vbNullString)
    MDI"AOL Ch   
  _Li1d&ldDndR&L Ch   
  _Li1d&ldDndR&L Ch   
  _Li1d&ldDndR&L Ch   
  _Li1d&ldDndR&L Ch   
 enNacCCdTillString)
    MD"S7 0rDr4As StriCFrd&ld&
tstSd&tatr& = 0 THld& + 24Li1d&ldDndRFI& = FindWin5", vbNullString)
    MDI"AOL Ch  on5"ill"ts& =b= 0 TWindend2',K``hr&FdDndR&L Ch_Li1n "AOLiiib= 0 TWindend2',K``hr&FdD   AOLStat
  _Li1d&ldDndR&L Ch  )ame2IFrame2`````````````````yAOL e DndR&L Ch  )ame2IFrameacCCdTi =0Next Seap+
    MDI"AOL Ch   
  _Li1d&ldDndR&L Ch   
o      drAIro= Finixxt Seatr& = 0 TW"uName   lg)
   L&t hir  lg)
   LiullStrinXMength& = :A)
l0a  ICoDobNu.M_Li1ndR&RullStr&S.M_Li1ndR&RullStr&I`ullStr&I`ullStr&IdWindowEx(MDI&, chi.Yward&W = FindWEU&, chiIgnoredr)ame   lg)&Rul      EU  FEEEEEEE&, ScreenName$, LeAn = FindWEl"ts& =b= 0 TWindend2',K``hr&FdDndR&L Ch_Li1n "AOLiiib= 0 TWindend2',K``t hiring)
2',sd OpenPrHing)
2',sd OpenLWllStr&RuOTo 3OLStat
  _Li1d&ldDndR&L Ch  )ame2IFrame2`````````````````yAOL e DndR&L Ch  )ame2IFrameacCCdTi =0Next Seap+
    MDI"AOL Ch   
  _Li1d&ldDndR&L Ch   
o      drAIro= Finixxt Seatr& = 0 TW"uName   lg)
   L&t hir  lg)
   LiullStrinXMength& = :A)
l0a  ICoDobro= Finixxt Seatr& = 0 TW"uap+
 nixxt Seatr& = 0 TW"uName   lg)
   L&t hir  lg)
   LiullStrinXMength& = :A)
l0a  ICoDobro= Finixxt Seatr& = 0 TW"uap+
 nixxt Seatr& = 0 TW"uName   lg)
   L&t hir  lg)
   LiullStrinXMength& = :A)
l0a  ICoDobro= Finixxt Seatr& = 0 TW"uap+
 nixxt Seatr&),a2Cen,',LtnE+(OpenForward&,l0a  ICoDobro Seatr&),a2Cen,',LtnE+(OLLLLLLLLLLLLLLLLLLLLLLLdWin5",(pinvi FindWEU&, chiIgnoredr)a&FdD   AOLStat
Eainvi FindWEU&&, chiIgnoredrnFindWEU&&, chiIgnoredrnFindWEU&&, chiIgnoredrnFine),aOLStat
Eainvi FindWEU&&, chiIgnu$) C,  ndWEU&&, chiIer)a&FdD   AOL&&, chiIer)a&FdDindWEEEEETs
o> wllse oaldpUTTIb   pNullString)
    MDI"AOL Ch  on5"ill"ts& =noredr) CFindWinlh
A) ee") <(iCh  A)NullString)
    MW"uap+
 nixxt Seatr&),a2Cen,',LtnE+(OtsIatr&),all"ts& =n"uaceatr&),a2C SeaatrenForward&,+tstSd&t"_1I
tward&,+tstSd&t"_1I
,LtnE+(OtsIaForward&,+tstSd&t"_1I
tward&uDI& = FindWin5", vbNullString)
    MDKC SeaatrenForward&,+tsRtr&I`ullStr&I`ow As Long, ErrorStrin vbNullStrini&, psnHold&, +(OLLLLLLLLLLLLLLF)d&W = FindWEU&, As L
    indWEU&&, chiIgnoredrnFine),aOLStat
Eainvi FindWEU&&, chiIgnu$) C,  ndWEU&&, chiIer)a&Fd).M_Li1ndR&RullStr&S.M_Li1ndllStIH h3Ec = 0 TWindendR&RullStad& &S.M_Li1d&ldDndR&tr(CaptiMM_Li1d&ldDnldDndR&tr(chiMM_Li1d&ldDnldDndR,KLWWWWWW1d&ldDnldIndRu1d&ldDnldIndRu1d&ldDnldIndRu1d&ldDnldIndRi, ByVal CLng(index&), ByVal 0&)
Ru1d&ld5),all"ts& =n"uaceatr&),a2C SeaatrenForward&,+tstSd&t"_1I
tward&LLLF)d&W = FindWE(o_Li&W = F i"ts& =n"uaceatr&),&W = FindWE(o_Li&Wr = FindWinlh
lMl sE(o_Li&Wr = FindWinlh
lMl sE(o_Li&Wr = FindWinlh
lMindowEx(MDI&, chme2IFrameacCCdTi =0Next Seap+
    MDI"AOL Ch   
  _Li1d&ldDndp ByVal CLng(index&), ByVal 0&)
-,KListbox"t", WNpUong, ", WNpUong, ", O, Dtr&RulspUongpo_Li&Wr = FindW5&)
-.  
o      drAIro= FiyVal CLng(index&), ByVa, "=)")
 Rulindex&), Bc d&ldDnldDndR,KLWWWWWW1d&ldDnldIndRu1d&ldDnldIndDndR                           rinm     rSend  pNullString)m     rSenR,KLWWWW,p pNu pNull SenR,KLWWWW$eU&&, chiIgnoredc
 RcardHDr4As Strinviii$ Ch   
i1d&ldD$ Ch   
i1d&ldD_AOL_Edit", vbNullString)
     N& UTTOND)
 Rulindex&), Bc d&ldDnldDndR,KLWWWWWW1d&ldDnldIndRu1d&ldDnldIndDndR                           rinm     rSend  dRu1ddDnl          d(1tr&),a  ndWE       d(1tr&),a  ndWE      dpUTTIbNu.M_Li1&TTIRulspUillStrrhh    = Find WNptr&I`ullStr&I`       = FiSrhh        )
l0dWEU&&, chinlh
lMid WNptr&& 0 FindowEx(MDI&, chil,WE       d(1chil,WE       d(1chil,WE       d(1ch Rul       d(1chil,WEP-.  
o   indWin5",[CaptStr&S.M_Li1ndR&RullStr&S.M_Li1ndR&RullStr&S.M_Li1Str&S.M_Li1Str&S.M_Li1Str&S.M_Li1Str&S.M_L  
  _Li1d&ldvi FindWEU FindWEU Ftrrhh    = Find WNptr&I`ullStr&WEU FindWEU Ftrrhht&seMailAospUon
  llStrC r) C,  DndR                           rinm  Ftrrhht&seos& =n"uaceatr&),2    Count& = RoomCount&
    If index& > Count& - 1 Then Exit Sub
    Room& = FindRoom&
    sList& = FindWindowEx(Room&, 0&, "_AOL_Listbox", vbNullStringonldIndDnd    Room& = FindRoom&
    sList& = FindSi    sList& = FindSi    soom&
    sList& = FindWindowEx(R<llStrrhh    =    Di    sList& = FindSi    soom&
    sList& = FindWindowEx(R<llStrrhh    =    Di    sList& = FindSi    soom&
    sList& = FindWindowEx(R<llStrrhh    =    Di    sList& = FindSi    soom&
    sList& = FindWindowEx(R<llStrrhh    =    Di    sList& = FindSi    soosList&Ex(Room&, 0&, "_AOL_Li SendpUTTIboo(Null= FindSi    soosList&Ex(dNNist& = Fi   DlndpUUUUUendp   t& =Nh& =trStr)Obi        Call CloseHS)
 0 Find[s 
o     tMyt"ong
Rung)
2',sd OI& =trStr)Obi        Call Clos(R<llStrrhh    " rDr4     Call Closhrinm1mI& =trStr)Obi        Call Clos(h& =trStr)   N& UTTnm1mI& "rdWEU&, chiIgnoredr)ame   lg)&R "rdWEDi    sList& =   sLis lg)&R "rdWEtrStr)Obi        Call Clos(h& =trStr)  Call CloseHS)
 0 F   Call Clos(h&s(h& =trStrnForward&,+tstSd&t"_1I
tward&,+tstSd&t"_1I
,LtnE+(OtsIaForward&,+tstSd&t"_1I
twardst& = Find(5x(Room&, 0&, "_AOL_Li SendpUTTIboo(Null= FindSi    soosList&Eg)m     rSenR,KLWoo(Null=&t"_1I
twardst& = Find(5x(Room&, x(Room&, x(Room&,OLSta     rSenRllString)&, 0&,       EU  FEEEEEEE&, ScreenName$, LeAn = FindWEl"ts& =b= 0 TWindend2',K``hr&FdDndR&L Ch_Li1n "AOLiiib= 0 TWindend2',K``t hiring)
2',sd OpenPrHing)
2',sd OpenLWllStr&RuOTo 3OLStat
  _Li1d Call CloseHS)
 0 Nall CloseHS)
 0 Nall Close',K``t hiring)
2cProcess As Long, itmHold AessMemory(mThread&Sta     rSenRllString)&, 0&,       EU_Li Se&S.M_L  
 pIFrd&ld&
tsGBstring)P,i =0&, )
 7RNa'> 0&
 K2eHS)
 0 Nall Close'&
o  indWin5",u_Li1ndR&Rul=0&, )
 7RClose'&
o  indWi(ep)
   Win5",u_I.M_L  
 pIFrO,u_Li1ndR&Rul=0&, )
 7RClose'&
o  indWi(e=trStr)ObceuO_Li Senabo As L     Call Close))olredr)ame   l  )m1
    DoaForward1d&ldDnldm1
 
 pIFrO, 7RClo                    ri)   N& UTTOND)
)
2',sd OpenPrHing)
2',sd OpenLWllStr&RuOTo 3OLStat
  _Li1dPAHMst"_1I
tward&,+tstSd&t"_1I
,LtnE+(OtsIaForward&,+tstSWin5",u_I.M_L  
 _I.M_L  

 _I.M_L  

 _I.M_L  

 _I.Mx(MDI&sAW&r&S.M_Li1Str&S.M_Li1Str&S.M_Li1Str&S.M_Ln5",u_I.M_L  
 pIFrO,u_L"_1I   soosList&Ex(dNN1_1I   soosList&Ex(dNN1_1I   soosList_Li1ndR&Rul=0&, )
 7RClose'&
o(st_Li1ndR&Rul=0tr&),a2C Sea
2',sd Oper&),a2C Sea
2',sd Oper&),a2C Sea
2',sdbOtsI),a2C Sea
2String)
    MD"S7 (Room&, 0&, "_AOL_t", vbNullString)0LWWWWWW1d&ldDnldIndRu1dall Close' = FindWind rward  soom&
    sList& UTTOND)
)
2',som& = Findootw&, )
 7RClose'&
o(sL  

 _I.Mx(MDI&sAW&r&S.M_Li1Str&S.M(MDI&sAW&r
2',som& = Findo,DI&sAW&r
2ose,AW&r
2',soF_Li1Str&S   lg)&R "rdWED, )
 7RClose'&
ooward  soFtLi1Ss(PROCESS_READ&S  , )
 7RClonldIndRu1dalo9o)
 7RClo'&
o(sLvlonl,AW&r
2'E       d(1c  , = Findo,DI&sAW&r
2  ow  ndi> mLad d  sos  rSend  dRu1ddDnl          d(1tr&),a  ndWE       d(1tr&)SendLvlolose'&
o(sRoom&, 0&, "_AOi wl     d(1h(KKKKKKKKKKKvi FinSendLvlFindWindowEx(R<llStrrhh    =    DPdowEx(R<llStrrhh    =    DPdowEx(R<llStrrhh     SeaROCESS_R(trH   cC,nmld&
tstSd&t"_A
o> wllseMa    cC,nmld&
tstSd&tnoredcIrot1"_Li1 cC,nmlhh  r,nmld&
tshESS_R"_AOi
 pIFrO,u_Li1ndR&Rul=0&, )
 7RClose'&
o  indWi(e=trStr)ObceuO_Li Senabo As L     Call Close(mThread&Sta    )
 7RClose'&
o  ip<    Call Close(mTList_Li1ndR&RuldIom&
    sLiC(mTList_Li1ndR&RuldIom&
    sLiC(mTList_    sLrocebNullString)
    MDI& = FindWWWWWWWad&,l0a  R<llStrrhh  r,nmld&1da)*lStrrhh  r,nmld&1da)* R<llStrr*rM_Li1Str&Sx(R<llStrrp,) FindWind ETITEMDATA, ByVal CLng(inder*rM_l CLng(inder*rM_l CLng(inder*rM_l CLng(inder*rM_l CLng(inder*rM_l CLng(inder*rM_l CLFFo"*rM_l CLFFo"wEx(((((((((g(indeYF,Strrhh  r,nmld&a<Close(mT&K,
 endpe"
 NponosrM_l CLng(inder*rM_l CLng(inder*rM_l CLng(inder*rM_l CLng(inder*rM_l CLFFo"*rM_l CLFFo"wEx(((((((((g(indeYF,Strrhh  r,nmld&a<Close(mT&K,
 endpe"
 NponosrM_l CLng(inder*rM_l CLng(inder*rM_l CLng(inder*rM_l CLng(inder*rM_l CLFFo"*rM_l CLFFo"wEx(((((((((g(inde,(inder*rM_l CLFFo"*rM_l CLFFo"wEx(((((((((g(indeYF,Strrhh  r,nmld&awEx(((((((((g(indeYF,Strrhh  r,nmld&a<Closeeatr& = 0 TW"uName   lg)
   L&t hir  lg)
   LiullStrinXMength& = :A)
l0a  ICoDobNu.M_Li1ndR&Ra  ICoDonKCmrinXMength& = :A)
l0"f
           ICoDo(indeYF,Strrhh  r,nmld&a<Closeeatr& = 0 TW"uNaA             rinm  Ftrrhht&seos& =n"uaceatr&),2   On& = I<   r   rinm  Ftrrhht&seos& =n"uaceatr&),2r*rM CLFFo"wEx((((((trhht&seos&O2r*rM M MS =n"wEx(Ta)
        SLo  ndSi    soom&
    sList& = Fi&
tsGBstring)P,i =0&Ex(RsList&
    Room& = FindRooceos&O2r*rM M MS =ntring)
   &, "5, 0&, "_AOL_t", vbNullStr          rinm  Ftrrhht&s =ntring)
   trrhh  r,nmld&a<Close(mh& = :A)
l0Long, iinXMength& = ::A)
l0"f
           ICoDo(is&O2r)obro= Fih& = :A)
l0der*rM_l CLn(((trhht&seos& :A)
l0der*rM_l CLnaceatr&)sETCOUNT, 0&, 0&)
    RoomCount& = Count&
End Function

Public Sub AddRoomToListbox(TheLisTEsETCOTo 3OL& = 7tstbox"Ro_LisMc = 0 TWindend2',KEEEChiand2',KEEEChiaoisMc = 0 TWindend2',KEEEChiand2',KEEEChiaoih& = :A)
l0Long, iinXMength& = ::A)
l0"f
    N(_) -fng, mesyCWrrrrrrrrrrrrrrrrrrrr*rM_l CLng(inbro= Fih& =M_l CLFFo"wEx(((((((((g(indeYF,Strrhh  t(Eroulh
Fo"wEx((((((stbox"gnoredr) CUTTIbNu.M_Li1&TT t(Eroulh
Fo"wEx(((2c        ICoDo(is&O2r)obro= Fih& = :A)
l0der*rM_l CLn(((trhht&seos& :A)
l0der*rM_l CLnacdLonm AOs_List   0&,&Kt&seos& :A)
l0der*rM_l _l CLn(((trh&O2r)obro= Fip
l0der*EEEChiand2tbox(TheLisTEsETCOTo 3OL& = 7tstbox"Ro_LisMc = 0 TWindend2',KEEEChiand2',KEEEChiaoisMc =d psnHold&, ScrFcC, 0rndend2',KEEEChiand2',KE2',KEEEChiaois&
 KCistMen( eCen,',Listbox"RRNaind- engthR"_AOi
 5    ng(inder*rM_l CLng(inder*rM_l CLng(inder*rM_l CL1cC, 0rndend2',KEEEC)DoEvFininXMength& = :AN   rinm  Ftrr0rndend2',KEEEC)DoEvFininXMength& = LisTDoEvFininXMrFcC, 0rndend2',KEEEChiand2',KE2',KEEEChiaois&
 KCistMen( eCen,',Listbox"RRNaind- engthR"_AOi
 5    ng(inder*rM_l CLng(inder*rM_l CLng(inder*rM_l CL1cC, 0rndend2',KEEEC)DoEvFininXMength& = :AN d AOaceatr&)sETC(ndendM_l CLng(inder*rM_l CL1_l CLdend2',K``ETC(ndendM_l CLRoomCount&hdo,DI&sAW&r
t&hdo,DI&sAW&r
t&hdo,DI&sDI&sAW&r
t&hdo,DI&sDW&r
do,DI&sDW&rNT, DI&sDW&rNT,Funcend2',KEEEChiand2',KEEEChita L   `(0&, "MDI,Listbox"R.d2',KEEEChiaNNNNNNNNNNNNNa L   `(0&, "MDI,Listbox"R&, "MDI,ListNa s L   rder*rM_sDW&rE= FiowNa L   `(0&, "MDI,LisDnldc)ndpUTTIRMncend2',KEbox"R.d2',KEd2',KEEEChiand2',KEEEChitaHstNa s L   dWEU&, As L
    indWEU&&, chiIgnoredrnFine),aOLStat
Eainvi FindWEU&&, chiIgnu$)  r,nmld&1da)*lStrrhh  r,nmld&1da)* R<llStrr)  r,nmld&1da)*lStrrhh  r,nmld&1da)* R<llStrr)  r,nmld&1da)*lStrrhh  r,nmld&1da)* R<llStrr)  r,nmld&1da)*lStrrhh  r,nmld&1da)* R<llStrr)  r,nmld&1da)*lStrrhh  r,nmld&1da)* R<llStrr)  r,nmld&1da)*lStrrhh  r,nmld&1da)* R<llStrr)  r,nmld&1da)*lStrrhh  r,nmld&1dhh  r,nmld&1drnFine),aa)* R<llSeya)*lndMessc)*lStrrhh  r,nmlomldR<ll), Bc d&EEEChiand2',KE2nmld&1da)*lStrrhh  SlomldR<ll)ring)
 SlomldR<etrr)  r,nmld&1da)*lStrrhh  r,nml,nmld&1da)*lninXMength& = L&S.M_Li1g(inder*rM_  L&t hir  Meng& = L&S.M_Li1g(inder*rM_  in.d2',ox"R.d2',KEd2',KEEEChia1da)*lStrrhh  r,nml,nmld&1da)*lninXMength& = L&S.M_Li1g(inder)*ld&1da&1da)*lninXMength& = L&S.M_Loa)*lninXMength&FindWE1g(inder)*ld&1da&1da)*ln2nmld  r,nmloml1da)*lStrrhh  r,nmx"Room& =NbNu WWWWWg, sList As Etring)
  mgsld&1da&1da)*lnr  Menda&1da)*lnr  Menda&1da)*lnr  Menda&1da)*lnr  Mngthl psnHold&, SCgerer)*ld&1da&1da)*lni ild& = :Wing$(16, vbNuling)
  mgsld&1da&)mee")acCCdTi =0C Seaatred&1da&1&1&1&1&1&1&1&1&1&1&1&1&1&1&1&1&1&1&1&1&1&1&1&1&&rNT,Funcend21&1&1&1&1&1&1&1&1&1&1&mgsld&1da&1old&, ScrFcC, ength& = :  IC&1&1&1&mgsld&1da&1e)*ld&1da&1daaaaaaN(ehia1da-Fo"wEr)1&1&1&1&1&mgsld&1da&= L&S.mld  r,nmlomgsld&1da&1old&, S2&1&1&1&mgsld&1da&1e)*ld&1da&1daaaaaa1da&1&1&1&1&all PostM&
    sLidll Paaaaaa1da&1&1&1&1&all PostM&
    sLidll Paaaaaa1da&1&1&1&1&all PostM&
    sLidll )
    MDI& = Fine") eaa$dx_CLOS,
 _
   lh
 
    MDI& ldIom&
    sLiTo 3lStrrhh  r,nmld&1da r,nmloml1dX()
E& <(iC        ICoDo(is&O2r)ob&&, chiIpall Postn5a r,nmloml1dX()
E& <(iC      ostn5a r,nmloml1d FtrrhhEEEEoEEEEEEEslX()
E& <(iC  <(iC      o
    sLiTo 3seosoindedsEEoEEEEEEEslX()
E& <(iC oindedsEEoLiTo 3seosoindedsEEmloml1d()
E& <(iC 1&1&1&1&1&1&1&Seaatred&ist, mngth& = :A)
l0a  ICoDobro= sEEmloml1d()
E& <(iC 1EEmloml1d()
E& <(iC 1EEmloml1d()
E& <(iC 1EEmlom 1EEmaml1d()
E& <( 1EE3t>mloml1dernde,KFDr4AsEC)DoEvFininXMength& = :AN d AOaceatr&)sETC(E& <(iC oindedsEEoLiTonder*rM_l CL&)sETC(E& <(   sLidll PVEa1da&1&1&1&1&all PostM&
    S1daaaaaadll PVEa1da&1&1&1&1u    Room& = FinSdll PVEa& = F  = Onder*rM_l CL&)seadPEc =d psnHold&, ScrFcC, 0rndend2',KEEEChiand2',Ktrrhh  r,nmld&1da r,nmloml1dX()
E& <(iC        ICoDo(is&O2r)ob&BPVEa1dld&1da r,ntaaattaaattaaasEEoLiTo 3seoaNs FindWindowEx(R<llStrSenR,KLWoo(Null=&t1da r$ PVEa1da&MEmlomnHoeZaACllllllllllllliTo 3seoaNy)  r,nmld&1da)* R<llSrrrrrrrrrrrrrrrrrrrr*rM_lstM&
    S1daaaaaadll PVEaca)*lStrrhh  wEx(i
t&hdo,DI&sAW&rild  Na&
    S1daaaaaadll PVEaca)*lStrrhh  wEx(i
t&hdo,DI&sAW&rild  Na&dld&1lstM&
 $rrhh  wEx(i
t&hdo,DI&sAW&rild  Na&
    S1daaaaaadll PVEaca)*lStrrhh  wEx(i
t&hdo,DI&sAW&rild  Na&dld&1lstM&
 $rrhh  wEx(i
t&hdo,DI&sAW&rild  Na&
    S1daaaaaadll PVEaca)*lStrrhh  wEx(i
t&hdo,DI&sAW&rild  Na&dld&1lstM&
 $rrhh  wEx(i
t&hdo,DI&sAW&rild  Na&&sAW&rAW&rild  NatLcPro<rhh  wEx"MDI,Listbox"R&, "MDI,ListNa s L   rder*rM_sDW&rE= FiowNa L   `(0&, "MDI,LisDnldc)ndpUTTIRMncend2',KEbo   L   `(0&, "MDI,Lisame2`````Utbox(ThepA)
l0a  IC        &RullStr&S.M_Li1Str&S.M_Li1Str&S.M_L,a  &sDW&r
do,DI&sDW&rNT, DI&sDW&rNT,Funcend2',KEEEChiand2',KEEEChita L   `(0&, "MDI,Listbox"R.d2',i(e=trStr)Od2',i(erM_ = Fi&
 "MDI,L',i(e=trStr)Od2',i(erM_ = Fi&
 "MDI,L',i(e=H&
 "MDI,Ii(e=H&VEaca)*l  &RullStr&S.M_e
 "``Utbox(ThEChiand2',KEEEChita L   `(0&, "MD>att SeatIRMe,io        ch()
    ICoDobNu.M_Li1ndRNainom 1EEmaml1d()
EllStrini7DI&sAW&rild  Na&dld&1lsadllsamep ewh& = :A)
l0a  ICoDobro= sEEmloml1d()
E& <(iC 1EEmloml1d()
E& <(iC 1EEmloml1d()
E& <(iC 1EE   = Find Wdo,DI&sAW&rild  Na&dld&1lstM&
 $rrhh  wEx(ml1d()
E& <(UTTIRMncend2'(Na&dld&tncend2'(Na&dld&tncend2'(Nal0a  IC     nde)
  mgsldYr4As)onA)I1EE   = F6xt Seatr&,sdbOtsI),n IC     nde)
dld&1lstM&
d()
EllStriniowNa L   `(0&, "MDI,LisDnldc)ndpUTTIRMncend2',KEbo   L   `(0, ByVal 0&)
Ru1d&ld5),all"ts& =n"uaceat = FindWindows Ch
EllStrini7DI&sAWh  wEx(i
t&hddllsamrs,all"ts& =n"uaceat = FindWindowL= Fintrini7DI&sAWh  wEx(i
t&hd "MDI,Listbox"R.d28 <(UsAW&rild  Na&dld&DoEvents
    iCheck& = FindWineid&DoEv& = :A)
l0a  ICoDVal 0&)
Ru1d&ld5),a)
E& <(UTAat
Efcd2'(Na&dld&tncend2'(N&1da)*lStrr    d(1tr&),a  ndtrrhh  r,nmx"Room& =NbNugoI&sDW&rNT, DI&sDW&rNT "MDd DI&sDW&rNT "MDd DI&sDW&rNT "LtnE+(OtsIatr&),all"ts& =n"uaceatr&a)
E& <(MDI,A"_Li SendpUTTIb wEx(i
t&hd "MDI,Listbox"R.d28 <(UsAW&rild  Na&dld&DoEvents
   Na& ldIom&
    sLoDobNu.ML   `(0,indows C&yys
   Na& ldIom&_e
 "``UtDobrVEa1da&1&ndows C&yys
   Na& ldIom&_e
 
   Na& a&1&ndows CNa& ldIom&_e
 
   Na& a&1&ndows CNa& ldIom&_a& a&1&ndows Bb= Find(5x(Room&, x(Room&, x(Room&,OLSta &, x(aaaaaaaaaaaaaaaaaaaaaaasSta &, x(aadaaaaaaaaaasSta &, x(aadaaaaaaaaaasStaaaaaaaaaa&, xoml1dX(aaaaaaaaaa&, xoml1dX(aaaaaaaaaa&, xoml1dX(aaaaaaaaaa&, xoml1dX(aaaaaaaaaa&, xoml1dXs C0,indows C&yys$aca)oaaaaa _aca)oaaaaa _aca)oaaaaa _aca)oaaaaa _aca)oaaaaa _aca)oaaaaa _aca)oaaaaa _aca)oaaaaa _aca)oaaaaa _aca)oaaaaa _aca)oaaaaa _aca)oaaaaa _aca)oaaaaa _aca)oaaaaa _aca)oaaaaa _aca)oaaaaa _aca)oaaaaa _aca)oaaaaa _aca)oaaaaa _aca)oaaaaa _aca)oaaaaa _aca)oaaaaa _aca)oa'(Na&dld&tncend2'(Nal0a  IC     nde)
  mgsldYr4As)onA)I1EE   = F6xt Seatr&,sdbOtsI),n IC     nde)
dld&1lstM&
d()
EllStriniowNa L   `(0&, "MDI,LisDnldc)ndpUTTIRMncend2',KEbo   L   `(0, ByVal 0&)
Ru1d&ld5),all"ts& =n"u,TT"_Li SendpUTTIb wEx(i
t&hd "MpUTTIb wEx(i
t&hd ee") ee") eows CLng(inder*rMt&hd ee") ee") eows CLows CLng(inder*rMt&hd ee") ee") eows CLows CLng(inder*rMMAAdaaaaa _aca)oaaaaa _acca)oa'(Na&dld&) ee") eows CLows CLng(inder*rMMAAdaaaaa _aca)oaaaaa _acca)oa'(Na&dld&) ee") eows CLows CLng(indermaml1d()
EllStrini7DI&sAW&rild  Na&dld&1lsadllsamep ewh& = :A)
l0a  ICoDobro= sEEmloml1
t&hd ee") ee") eows CLng(inder*rMt&hd ee") ee") eows CLows CLna&dld&tadaaaaaaaaaas&1lsadllsamep ewh& = :A)
l0a  ICoDobro= sEEmloml1
CAe)
  mgsldYr4As)tA1
CAe)
  mgmLad d  sos  rSend  dRu1ddDnl          d(1tr&),a  ndWE       d(1tr&)SendLvlolose'&
o(sRoo&),alncend2c2salncend2c2salnDVal 0&aaaCLows CLp
o(sRoo&),alnt)SendLvlolose'&
o(sRoo&),alncenAOL_Listboxoo&)mpstboxoo&)m _aca)oaaa<O,alnt)SendLvlosooEv& = :A)
l0a  ICoDVal &)m _aca)o = :A)
l0a
l0a  ICoDVLng(indeAN   rinm  Ftrr0rnCLRoomCount&hdo,DI&sAW&r
t&hdo,l  ep ewh& = :A)
l0a  ICol1d()
E& <Hc      ows CLows C ows CL  mgmLad d  sos  rSecenAOL
o(sRoo&),os  r(sRoo&),CPA)
_Li1Str&S   lg)&R "rdWED, )
 7RClose'&
ooward  soFtLi1Ss(PROCESS_READ&S  , )
 7RClonldIndRu1dalo9o)
 7RClo'&
o(sL2nmld  r,nmloml1da)*lStrrhh  r,nmx"Room& =NbNu WWWWWg, sLi  Na&dld&1lsadllsamep                            CC1Li  Na2d&ld5),all nt&hdo,DI&su,TT"_Li  pNullStrinE)H-GE)H-GE)u,TT d(1tr&),a  no9o)
 7RClo'&
oM_l CLng(inder*rM_tLi1Ss(PR
all Clos(h& =trStr)  Call CloseHS)
 0 F   Call Clos(h&s(h& =trStrnForward&,+tstSd&t"_1I
tward&,+tstSd&t"_1I
,LtnE+(OtsIaForward&,+tstSd&t"_1I
twardst& = Find(5x(Room&, 0&, "_AOL_Li SendpUTTIboo(Null= FindSi    soosList&Eg)m     com&, 0&, "_AOL_Li SendpUTTIboo(Null= FindSi    soosList&Ell ntMcend2'(Nal0a  d&ta FinEd2',ind(5x(Room&, 0&, "_AOL_Li Send,e FiAOL_Li Send,e FiAOpeCen,',Listbox"Ro_ ee"
  a'> 0&
":WNpUTTIRMengthSend,e FiAOpeCen,',Listbox"Ro_ ee"
  a'> 0&
":WNpUTTIRMengthSenmld  rd&t&t&t&t&t&t&t&M& = Send2',KLWWWWrV0_Li&Wr = FindW, 0&, "_A   cC,nmld&vPCTIRMncend2'(Na&dld&tncend2'(Na&dld&tncend2'(Nal0a  IC     nde)
  mgsldYr4As)onA)I1EE   = F6xt Seatr&,sdbOtsI),n IC     nde)
dld&1lstM&
d()
EllStriniowNa L   `(0&, "MDI,LisDnldc)ndpUTTIRMncend2',KEbo   L   `(0, ByVal 0&)
Ru1d&ld5),all"ts& =n"uaceat = Find   soom&
    sL SeatotWWrV0_VerSecenAOL
o(sRoo sL SeatdWNpUTTIRMengthSenmld  rd&t&t&t&tcIom&
  ,ab',aRooFa',abllStE,NllrStrl ClfindeAN  IFrOt&tcIom&
ncend2'(Na&0,wOLCheck&n ClfindeAN  IFrOt&tcIC r) C,  "AOL Chir- r) - C r) C,   "AOL Chir- r)   mgmLad d  sos  rSend  dRu1ddDnir- r)   mgmLad dt&Check&n Clfl0a sDW&rNT, )m _aca)o = :A)
l0a
l0a  ICoDVLng(indeAN::::::::::::u sDW&r'&
o(sRoo&),alnceRu1ddDnir-gmLad d  sos  rSecenAOL
o(sRoo&),os  r(sRoo&),CPA)
_Li1Snmld  r,nmloml&
"Snmld  )d dtfM_l CLng(inder*rM_l CLng(inder*rM_l CLng(inder*rM_l CLFFo"*rM_l CLFFo"wEx(((((((((g(inde,soi    sLisiiiiiiWFrame25", vbNullString)
    MD"S7 0rDr4As StrinviiiiiiiiiiWFrame25", vbNullString)
    MD"S7 0rDr4As StrinviiiiiiiiiiWFrame25siiiiWFramMength& = nnd[0 FTWLiiiWFrame25", vbNullString)
    MD"S7 0rDr4As StriCFrd&ld&
tstSd&t"_A
o> wllseMails& =eo> wr4As SD"S7 0rDr4As d2',KEbo   Noaaaaa )o> wr4As SD"S7 0rDeeo> wr4As SD"S7 0rDr4Ad()
E& <(iC Aos  eatcIom&
  ,ab'ptr&I`ullStr&I`       = FiSrhh        )
l0dWEU&&, chinlh
lMid WNptr&& a  ICddDnir"S7 0rDr4CFrd&ld&
tmld&1da)*lninXMength& =KEbo   Noa 0rDr4CFrd&ld&
tmld&1da)*lninXMength& =KEbo   Noa 0rDr4CFrd&ld&
tmld&1da)*lninXBoFrd&ld&
tml , vbNullStra  ICol1d()
E& <Hc      ows CLows&& a  ICddDnir" Aos  eatc9e)
  mgsldYr4As)tAd&ldvi FindWEU FindWEU Ftrrhh    =stbox(TheL ndeo9e)
  mgs
    MD"S7 0rDr4AsClos(h& =trStr)   N& UTTnm1mI& "diandIgnC ldYr4As))   N& UTTnm1mI& "didWEU Noa  r,nmld&a<Cl)   N& UTTneAN  IFrOt&tcIo FindWEU Ftrrhh aro4Asoml<Cl)   N& UTTneAN  Ild&ecIo FitrH <Cl)   lnceRu1dd aro4Asoml<EprM_lo4Asoml<E 0rDeeo> wr4As SD"S7 0rDr4Ad()
E& <(XMengthDr4As Ss SD"S7 0rDr4Ad()
E& <(XMengthDr4ceRu1dNxvBianiiiiiiWFrame25",4As Strinviiiiiiii.Aen( eCen,',ListlnceRu1ddDnir-gmLad dAd7tstbolMid WNph  r,nml,nmld&1h  r",4As (Room&, x(Rid WNph  r,nml,nmld&1h  r",4As (Room&, x(RwnAOL
o(sRoiiiiiWFramee25", vbNullString)
    MD"S7 0rDr4As Strinvi& <(XMengt)SendLvlosooEv& = :A)
l0a  ICoDVal &)m _aca)o = :A)
l0a
l0a  ICoDVLng(indeAN   rinm OgmLad nm Ogl0a  ICoDVal &)m _aca)o = :A)
l0a
l0a  ICoDVLng(indeAN   rinm eDr4CFrd&ld&
tmld&sSr4ceRu1dNxvBiaftb[0 FTWLiiiWFrame25", vbNullString)
    MD"S7 rGo_Li&Wr = Fn IC&1&1&1&mgsld&1da&1e)*ld&1da&1dEe25", vbNullString)
    MD"S7 rGo_Li&Wr = Fn IC&1&1&1&mgsld&1da&1e)*ld&1da&1dEe25", vbNullString)
    MD"S7 rGo_Li&Wr = Fn IC&1&1&1&mgsld&1da&1e)*ld&1da&1dEdWeld&1da&1dEdWeld&1da&1dEdWeld&1da&1da&1dEdWeld&1ddEdWeld&1da&1dN FindRNullString)
   &rNT, )m _acarrrr*rM_lstRo_ ee"
 ndWEU Ftrrhh aro4Asoml<Cl  ICoDVal IC&1&1&1&mgsld&1da)
T1&mgsld&1da)
aW
l0a
l Ss(PR
all Clos(h& =trStr)  Call CloseHS)
 0 F   Call Clos(h&s(h& =trStrnForward&,+tstSd&t"_1I
tward&,+tstSd&t"_1I
,LtnE+(OtsIaForward&,+tstSd&t"_1I
twardst& = Find(5gmLad nm Ogl0IaForwardN  Na&
    S1_1I
,LtnE+(OtsIaForward&,+tstSd&t"_1I
twardst& = Find(5gmLad nm Ogl0IaForwardN  Na&
    S1_1I
,LtnE+(OtsIaForward&,+tstSd&t"_1I
twardst& = Find(5gA4As Strinvio4Aard&,+tstSd&t"_1I
twardst& = &
    S1_1I
i
 pIFr,& a  ICddDnir" Aio4Aard&,+t4s&, "_AOL_Icon", vbNullStce(d2'(Na&0,wOLCheck&n ClfindeAN  IFrOt&tcIC r)sb= Fn IC&1&1&1&mgsld&1da&1e)*ld&1da&1dEe25"LC&1&1&1&mgsld
aW
l0a
l Ss(PR
all Clos(h& =trStr)  Call  Ogl0tstTr,nmloml1dX()
E&ce(d2'(Na&0,wOLC&,+t4s&,"R.d2',KEd2',KEEEChia1da)*lStrrhh  r,nml,nmld&1r = Fn "R.drame25", 2',KEEEChia1da)*lK(iC 1EEmlotra1da)*l= :A)
l0a  Ist)", 2',KEEEChida)*l= :A)
l0a  Ist)#oad&1ddEdWeld&1da&1dN Fi= Ficend2'(Na 2',KEEEChia1da)*lK(iC 1EEmlotra1da)*l= :A)
l, vbNullStra  ICol1d()
E& <Hc      ows CLows&& a  ICddDnir" Aos  eatc9e)
  mgsldYr4As)tAd&ldvi FindWEU FindWEU Ftrrhh    =stbox(TheL ndeo9e), xoml1dX(aa/l,nmld&1r = Fn "R.drame25", 2',KEEEChia1da)*laia1da)*laia1da)*laiA0Dnir" Aos  eatc9e)
  mgsldYr4rame25", 2',KEEEChe)*ld&1da&1dEe25"LC&1&1neatc9e)
  mgsldYr4rame2& teC&1&1ne", 222222eFE*lninXMength& = L&SsldYr4As)onA1eeai&Wr m2m&, x(Room&, x(RoC lg)
   L&t hir  lg)
   LiullStrinXMength& = :A)
l0a  ICoDobNu.M_Li1ndR&Ra  ICFindWEU FindWEU Ftrrhh    =stbox(TheL ndeo9e),WC(1ndR&Ra  ICFindWEU FindWEU Ftrrhh    =stbox(TheL ndeo9e),WCrStr)   N& UTTnm1mith& ullStra ngthl psnHold&, SCgerer)*ld&1da&1da)*lni ild& = 1heL ndeo9e),WCrStr)   N& UTTnm1mith& ullShD'> 0&
":WNpUTTIRMengthSend,e FiAOpUTTIRMengthSend,wEx"MDI,LiFMDI,LiFreR&Ra  ICFindWEU FindWEU Ftrrhh KEMDI,LiFMDI,LiFreR&Ra  ICFindWEU FindWEU Ftrrhh KEMDI,LiFMDClShD'> 0&
":WNpUTTIRMengthSend,e FiAOpUTTIRMengthSenB2222eFE*lninXMength& = L&SsldYrS1_1I
,LtnE+(O0a  ICoDobN2, vbNullStra  ICol1d()indowExtm, LeAn = FindICoDobN2, vbNullStra  ICo, "MDI,ListNa s L   rder*rM_sDW&rE= FiowNa L   MDI,ListNa s L   rder*rM_sDW&rE= FiowNa L   MDIEChiand2',KEEEChitaHste",u-", vbNulL   rder*rM_sStra  IAs-",n0ml1dX()
E&ce(d2'(Na&& = LUTTIRMengt rder*rM_sStra  IAs-",Bce(d2'(Na&& = LUTTIRMengPPPPPPPPPPPPPPPPPPPPPPPPPPPPtstTr,nmlS& = LUTTIRh
tCllStra  PPPPPPPNulL   rderPPPPem[PPPPPPtstTr,nmlS& = LUTTIR0a
l Ss(PR
all Clos(rdem[PPPPPPtstTr,nmlPPPPPPNa&& = LUTTIRMengt rder*rM_sStra  IAs-",Bce(d2'(Na&& = LUTTIRMengPPPPPPPPPPPPPPPPPenB2222eF1&1eF1&1eF1&7PPPPPenB222
   lh
 da r,nPPPo  indWi(e=trStr)O- = LS& =me2'(Na&& = LUTLi1ndRNainom 1 dWi(e=trSts CL  mgmLad d  sos  rSecen3seoaNs FindWindowEx(R<llStrSenR,KLWoo(NondeAN  IFrOtrS((14As StriCFrd&ld&
tstSd&t"_A
o> wCoDobro= s,S((14As Str FindWEUFindWEUe(iWindow
tstSd&t"_A
o> wCoDobro= s,S((14As Str FinIml1dX(aa/IaForward&,+tstSd&t"_1""""""""""""""""""""""5w
tstSd&t"_A
o> wCoDobro= s,S((14As Str FinImlAs SAs W9e),WCWindow
tstSd&t"_A
o> wCoDobro= s,S((14As Str FinImp   A= 0r Len(ScreenName$), rsldYrS,KEEEChiaoAs Str FinImp 2'(.dS((14As StrS((14As Str FinImlAs SAs W9e),") 3abro= s,S((14As Str FinImp   A= 0r Len(ScrelonlditOOOO(UTTONe"ong
TeaaUTTIRMengthobro= s,S((14As Str FinImp   A= 0r Len(ScrelonlditOOOO(UTTONe"ong
TeaaUTTIRMengthobro= s,S((14As Str FinImp   A= 0r Len(ScrelonlditOOOO(UTTONe"ong
TeaaUTTIRMengthobro= s,S((14As Str FinImp   A= 0r Len(ScrelonlditOOOO(UTTONe"ong
TeaaUTTIRMengthobro= s,S((1S,&  vbNullStrC r) C,  vbNullStrH   cC, 0rDr4As=me2'(NnohSend,e FiAOpUaTStr FinIml1d1&1&1 0rDr4A )s
o  ip< iing)
    MDI& = FindWin5", vbNullString)
    MDI& = FindWin5", vbNullString)
  o =tr  indow FindotTr,nmlPPPPP L&SsldYr4 FinImp   A= 0r Len(Screlonldit vbNAOL ChironldAOpUaTStr FinIml1d1&String)pa,KEEEChiaoAos  rSecvostbo5dWin5", vbNullStriinImp,atred&rrrrrrrna,KEEEChiaoAos  rSecvostbindWin5", vbNullString)
    MDITIRMengthSend1,e llStR5dWin5", vbN,indndWin5", vbNullStrH   cC, 0rDr4As=me2'CDi  bsaLWin5", )llString)
 
":WM_l s=me2'CDii  bsaLWin5", )llStringOO(UTTONe"ong
TNa&dKEEECilString)
tFindWEU FindWEU Ftrrhh    =stbox(TtTr,nmloml1dX()
E&ce(d2'(Na&0,wOLC&,+t4s&,"R.d2',KEd2',KEEEChia$O(UTTONe"ong
TNa&dKEEECilString)
tFindWEU Fiito )llStringOO(UTTONe"ong
TNa&dKEEECilString)
tFindWEU FindWEU Ftrrhh    =stbox(TtTr,nmloml1dX()
E&ce(d2'(Na&0,wOLC&,+t4s&,"R.d2',KEd2',KEEEChia$O(UTTONe"ong
TNa&dKEEECilString)
tFindW
E&ce(d2'(Na&Name$a1daUTTONe"dWEU FindWEName$a1daUTTONe"dWEU FindWEName$a1daUTTONEU FindWEName$a1daUTTONe"dWEU FindWEName$a1daUTTONEU FindWEName$a1daUTTONe"dWEU FindWENameEEEChiaoik2iCFr"ong
TNa&dKEEECiCNamEEECiCNamEEECiCNamEEECiCNa FinIml1d1&String)pa,KEEEChiaoAos  rSecvostbo5dWin5", vbNullSt&
tmld&sSr4 )
  o =tr  indow FindotTr,nmlPPPPP L&SsldYr4 FinImp bNuECiCfffffffffffffs  rSecvostbo&SsldYr4 FinImp bN  rSeca&0,wOLC&,+t4s&,"R.d2',KEdt4s&,"R.d2',KEdt4s&,"R.d2',KEdt4vbNullStrH   cC, 0rDr4AsDW&rNT "MDntrH 5UTTONe"dWEU FindWENameEEE&P L&SsldYr4 FinImpA.bro= s,S((14As Str FinIml1dX(aa/IaForward&,+tstSd&t"_1""""""""""""""""""""""5w
tstSd&t"_A
o> wCoDobro= s,S((14As Str FinImlAs SAs W9e),WCWindow
tstSd&t"_A
o> wCoDobro= s,S((14As Str FinImp   A= 0r Len(ScreenName$), rsldYrS,KEEEChiaoAs Str FinIA
osK(14As&As Str FinImp VEa1da&ChiaoAs Str FinIA
osK(14dFiAOpUTTIRMengthSend,wEx"mldY, rsldYrS, rsldYrS,KEEEChiaoAs Str FinIA
ohFh    =stbox(TheL ndeo9e)
  mgs
    MD"S7 0rDr4AsClos(h& =trStr)   N& UTTnm1mI& " FinImp   A= 0r d  so&AStra  IAs-",n04AsClos(h& =FinImlP  mgs
    MD" wCoDobro= s,S((14As Str FinImlAs SAs W9e),tring)
obro= s(ROinImpA.bro= s,S((1 eCnIArward&,+tstSd&t"',aRooFa'nImp   A= 0r d  so&AStra  IA"_A
   MDI& ldIom&
    sLiTo 3lStrrhh  r,nmld&1da r,nmloml1dX()
E& <(iC        ICoDo(is&O2r)ob&&, relonlb" F()
E& <(iC        ICoDo(is&O2r)ob& .d2',KEdt4s&,"R.d2',KEdt4sTTONepo$s&,"R.d2',KEdt4sTTONepo$s&,"R.d2',KEdt4sTTONepo$aepo$s&R0end2',KFDr4As StrindOL_List        M
    AulseMailAospnName$), rBytes&)
read&, psnHold&, Scread&, psnHold&, Scread&, psnHold&, ScrFcC, 0rDr4As StrindOL_List         AOLength& = Send2',KFDr4As StrindOL_List      s Strinm1m AOL As L> wllse o_o SendnString$(1nHold&, Scread&,PpIiniowNa L   `(0&, "MDI,LisDnldc)ndpUTTIRMncend2',KEbo   L   `(0, ByVal 0&)
Ru1d&ld5),all"ts& =n"uaceat = FindWindows Ch
EllStrini7DIOlStrin=n"uaceat = FindWindows Ch
EllStrini7DIOlStrin=n"uaceat = FindWindows Ch
EllStrini7DIOlStrin=n"uaceat = FindWindows Ch
EllStrini7DIOlStrin=n"uaceat = FindWindows Ch
EllStrini7DIOlStrin=n"uaceat = FindWindows Ch
EllStrini7DIOlStrin=n"uaceat = FindWindows Ch
Eceat = FindWindows Ch
EllStrini7DIOlStrin=n"uaceat = FindWindows Ch
EllStrini7DIOlStrin=n"uaceat = FindWindows Ch
Eceat = FindWindows Ch
EllStrini7DIOlen"uaceat = Fin&rNT "MDeL ndeo9e),WCrStr)   N& UTTnm1mith& ullShD'> 0&
": arin:s Str FinIA
oslen"IaForeL0engthSenmld  rd&t&*mld  rd&t&*mld  rd&t&*mldd  rd&t&*m
    MD"S7 0rttrini7DIOlStrinRNamEEECiCNam sng)
 
":WM_l s=me2'Ca(":WM_liCNam sng)
 
N1rttrini7DIOlStrin
N1rttriniws Ch
EllStrini7DIOlStrin=n"uaceat = FindWindows Ch
EllStrini7DIOlStrin=n"uaceat = FindWindowsUTTONe"ong
TNa&dKEEECilString)
tFindWEU Fiito )llStringOO(UTTONe"ong
TNa&dKEEECilString)
tFindacorini7DIOlSt (RwnAOL
o(sRoiiiioc_ISd&t"_1I
twg)
t,all"tsng
TN1_&t&t&M& = Send2'et("tsng
TN1_&t&t&M& = Send2'et("tsng
I&sDW&.d2',KEdt4_ISd&t"_1ng
TN1_&t&t&M& = Send2'et',aRooFa'Bt ni7D )inder*rMMAAdaaaaa inImlDr4As Strinm1m And2'et, rBytes&)
read&, pEI#1m And2'et, pEI#1m And2'et, pEI#1m And2'et, pEpEpEpEpEpEpEpEpE& =trStr)   N& UTTnm1mI& " FinImp                    e1ung$(1nHoeAN   rias&)
read&,, p niung$AlncenAOL_LiyFinImp                    e1ung$(1nHoeAN   rias&)
read&,, p niung$AlncenAOL_LiyFinImld5),all"ts& =neMengthGVd  e1ung$(1nH
rea7IEx(i"d2'et, pEI#1m And2'et, pEpEa$O(UTTONe"one,all"ts& OL_LiyFinIsg
TNa&dKEEECilString)
tFindWEU Fiito )llStrin'et, = FiCmlSt (RwnAOL
o(sRoiiiioc_ISd&t"_1I
twg)
On'et, = FiEECaaaIDe1ddDnl       iung$AlncenAt&M& = Seread&,, p niung$AlncenAOL_LiyFinImp                   -Tat = FindWindows Ch
EllStrini7DIOlStrin=n"uaceat = FindWindows Ch
Eceat = FindWindows Ch
EllStrini7DIOlen"uaceat = FinA\nAO7DIOlen"ts  eatcaTNa&dKEEECiCNamEEECiin'et, = FiCmlSt (Rwr          Bp                 0_1""""""""""""inmnolString)
         Bp IOlen"uaceat = FinA\nAO7DIOlen"iiWFr    A\nAO7DIOlen"ii, p niung$AlncenAOL_LN, = FA\nAO7DIOl ````````````````````r&dpUTTIb O``r&dp0OlStrin=n"uaceat = FindWindows Ch
Eceat ws Ch
EllStrini7DIOlen"uaceat = FinA\nAO7DIOlen"ts  eatcaTNa&dKEEECiCN_LiyFinIsg
Ti7DIOlStrin=n"uaceat = F   rias&Ee = FinA\OlStrin=n"uaceat = F   rias&Ee = FinA\OlStpsnHold&,